<?php 
/*
Plugin Name: Consultab Extensions	
Plugin URI: http://iqonicthemes.com/
Description: consultab plugin provides custom team post type, gallery post type with related functionality.
Author: iqonicthemes
Version: 2.3
Author URI: http://www.goldenmace.com/
Text Domain: consultab_NAME
*/

if( !defined( 'consultab_TH_ROOT' ) ) 
	define('consultab_TH_ROOT', plugin_dir_path( __FILE__ ));

if( !defined( 'consultab_TH_URL' ) ) 
	define( 'consultab_TH_URL', plugins_url( '', __FILE__ ) );

if( !defined( 'consultab_NAME' ) ) 
	define( 'consultab_NAME', 'consultab' );

$consultab_option = get_option('consultab_options');

// Register Team Member custom post type
add_action( 'init', 'consultab_team' );
function consultab_team() {
	$labels = array(
		'name'                  => esc_html__( 'Team Member', 'post type general name', 'consultab' ),
		'singular_name'         => esc_html__( 'Team Member', 'post type singular name', 'consultab' ),
		'featured_image'        => esc_html__( 'Team Member Photo', 'consultab'  ),
		'set_featured_image'    => esc_html__( 'Set Team Member Photo', 'consultab'  ),
		'remove_featured_image' => esc_html__( 'Remove Team Member Photo', 'consultab'  ),
		'use_featured_image'    => esc_html__( 'Use as Team Member Photo', 'consultab'  ),
		'menu_name'             => esc_html__( 'Our Team', 'admin menu', 'consultab' ),
		'name_admin_bar'        => esc_html__( 'Team Member', 'add new on admin bar', 'consultab' ),
		'add_new'               => esc_html__( 'Add New', 'Team Member', 'consultab' ),
		'add_new_item'          => esc_html__( 'Add New Team Member', 'consultab' ),
		'new_item'              => esc_html__( 'New Team Member', 'consultab' ),
		'edit_item'             => esc_html__( 'Edit Team Member', 'consultab' ),
		'view_item'             => esc_html__( 'View Team Member', 'consultab' ),
		'all_items'             => esc_html__( 'All Team Members', 'consultab' ),
		'search_items'          => esc_html__( 'Search Team Member', 'consultab' ),
		'parent_item_colon'     => esc_html__( 'Parent Team Member:', 'consultab' ),
		'not_found'             => esc_html__( 'No Classs found.', 'consultab' ),
		'not_found_in_trash'    => esc_html__( 'No Classs found in Trash.', 'consultab' )
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'consultabteam' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'menu_icon'			 => 'dashicons-groups',
		'supports'           => array( 'title', 'thumbnail','category','tag')
	);

	register_post_type( 'consultabteam', $args );
}

// Custom taxonomy Team
add_action( 'after_setup_theme', 'consultab_team_taxonomy' );
function consultab_team_taxonomy() {
	register_taxonomy(
		'consultabteam-categories',
		'consultabteam',
		array(
			'label' => esc_html__( 'Team Category', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
	register_taxonomy(
		'consultabteam-tag',
		'consultabteam',
		array(
			'label' => esc_html__( 'Team Tag', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
}


// Register Portfolio custom post type
add_action( 'init', 'consultab_portfolio' );
function consultab_portfolio() {
	$labels = array(
		'name'                  => esc_html__( 'Portfolio', 'post type general name', 'consultab' ),
		'singular_name'         => esc_html__( 'Portfolio', 'post type singular name', 'consultab' ),
		'featured_image'        => esc_html__( 'Portfolio Photo', 'consultab'  ),
		'set_featured_image'    => esc_html__( 'Set Portfolio Photo', 'consultab'  ),
		'remove_featured_image' => esc_html__( 'Remove Portfolio Photo', 'consultab'  ),
		'use_featured_image'    => esc_html__( 'Use as Portfolio Photo', 'consultab'  ),
		'menu_name'             => esc_html__( 'Portfolio', 'admin menu', 'consultab' ),
		'name_admin_bar'        => esc_html__( 'Portfolio', 'add new on admin bar', 'consultab' ),
		'add_new'               => esc_html__( 'Add New', 'Portfolio', 'consultab' ),
		'add_new_item'          => esc_html__( 'Add New Portfolio', 'consultab' ),
		'new_item'              => esc_html__( 'New Portfolio', 'consultab' ),
		'edit_item'             => esc_html__( 'Edit Portfolio', 'consultab' ),
		'view_item'             => esc_html__( 'View Portfolio', 'consultab' ),
		'all_items'             => esc_html__( 'All Portfolio', 'consultab' ),
		'search_items'          => esc_html__( 'Search Portfolio', 'consultab' ),
		'parent_item_colon'     => esc_html__( 'Parent Portfolio :', 'consultab' ),
		'not_found'             => esc_html__( 'No Classs found.', 'consultab' ),
		'not_found_in_trash'    => esc_html__( 'No Classs found in Trash.', 'consultab' )
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => true,
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'menu_icon'			 => 'dashicons-category',
		'supports'           => array( 'title', 'editor', 'thumbnail','category','tag')
	);

	register_post_type( 'portfolio', $args );
}


// Custom taxonomy Portfolio
add_action( 'after_setup_theme', 'consultab_custom_taxonomy' );
function consultab_custom_taxonomy() {
	register_taxonomy(
		'portfolio-categories',
		'portfolio',
		array(
			'label' => esc_html__( 'Portfolio Category', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
	register_taxonomy(
		'portfolio-tag',
		'portfolio',
		array(
			'label' => esc_html__( 'Portfolio Tag', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
}


// Project custom post type
add_action( 'init', 'consultab_project' );
function consultab_project() {
	$labels = array(
		'name'                  => esc_html__( 'Project', 'post type general name', 'consultab' ),
		'singular_name'         => esc_html__( 'Project', 'post type singular name', 'consultab' ),
		'featured_image'        => esc_html__( 'Project Photo', 'consultab'  ),
		'set_featured_image'    => esc_html__( 'Set Project Photo', 'consultab'  ),
		'remove_featured_image' => esc_html__( 'Remove Project Photo', 'consultab'  ),
		'use_featured_image'    => esc_html__( 'Use as Project Photo', 'consultab'  ),
		'menu_name'             => esc_html__( 'Our Project', 'admin menu', 'consultab' ),
		'name_admin_bar'        => esc_html__( 'Project', 'add new on admin bar', 'consultab' ),
		'add_new'               => esc_html__( 'Add New', 'Project', 'consultab' ),
		'add_new_item'          => esc_html__( 'Add New Project', 'consultab' ),
		'new_item'              => esc_html__( 'New Project', 'consultab' ),
		'edit_item'             => esc_html__( 'Edit Project', 'consultab' ),
		'view_item'             => esc_html__( 'View Project', 'consultab' ),
		'all_items'             => esc_html__( 'All Projects', 'consultab' ),
		'search_items'          => esc_html__( 'Search Project', 'consultab' ),
		'parent_item_colon'     => esc_html__( 'Parent Project:', 'consultab' ),
		'not_found'             => esc_html__( 'No Classs found.', 'consultab' ),
		'not_found_in_trash'    => esc_html__( 'No Classs found in Trash.', 'consultab' )
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'consultabproject' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'menu_icon'			 => 'dashicons-media-interactive',
		'supports'           => array( 'title', 'editor', 'thumbnail','category','tag')
	);

	register_post_type( 'consultabproject', $args );
}

// Custom taxonomy Project
add_action( 'after_setup_theme', 'consultab_project_taxonomy' );
function consultab_project_taxonomy() {
	register_taxonomy(
		'consultabproject-categories',
		'consultabproject',
		array(
			'label' => esc_html__( 'Project Category', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
	register_taxonomy(
		'consultabproject-tag',
		'consultabproject',
		array(
			'label' => esc_html__( 'Project Tag', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
}

// Register Testimonial type custom post
add_action( 'init', 'consultab_testimonial_gallery' );
function consultab_testimonial_gallery() {
	$labels = array(
		'name'               => esc_html__( 'Testimonial', 'post type general name', 'consultab' ),
		'singular_name'      => esc_html__( 'Testimonial', 'post type singular name', 'consultab' ),
		'featured_image'        => esc_html__( 'Photo', 'consultab'  ),
		'set_featured_image'    => esc_html__( 'Set Photo', 'consultab'  ),
		'remove_featured_image' => esc_html__( 'Remove Photo', 'consultab'  ),
		'use_featured_image'    => esc_html__( 'Use as Photo', 'consultab'  ),
		'menu_name'          => esc_html__( 'Testimonial', 'admin menu', 'consultab' ),
		'name_admin_bar'     => esc_html__( 'Testimonial', 'add new on admin bar', 'consultab' ),
		'add_new'            => esc_html__( 'Add New', 'Testimonial', 'consultab' ),
		'add_new_item'       => esc_html__( 'Add New Testimonial', 'consultab' ),
		'new_item'           => esc_html__( 'New Testimonial', 'consultab' ),
		'edit_item'          => esc_html__( 'Edit Testimonial', 'consultab' ),
		'view_item'          => esc_html__( 'View Testimonial', 'consultab' ),
		'all_items'          => esc_html__( 'All Testimonial', 'consultab' ),
		'search_items'       => esc_html__( 'Search Testimonial', 'consultab' ),
		'parent_item_colon'  => esc_html__( 'Parent Testimonial:', 'consultab' ),
		'not_found'          => esc_html__( 'No Testimonial found.', 'consultab' ),
		'not_found_in_trash' => esc_html__( 'No Testimonial found in Trash.', 'consultab' )
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'testimonial' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'menu_icon'			 => 'dashicons-format-gallery',
		'supports'           => array( 'title', 'editor', 'thumbnail','category','tag')
	);

	register_post_type( 'testimonial', $args );
}

// Custom taxonomy Testimonial
add_action( 'after_setup_theme', 'consultab_testimonial_taxonomy' );
function consultab_testimonial_taxonomy() {
	register_taxonomy(
		'testimonial-categories',
		'testimonial',
		array(
			'label' => esc_html__( 'Testimonial Category', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
	register_taxonomy(
		'testimonial-tag',
		'testimonial',
		array(
			'label' => esc_html__( 'Testimonial Tag', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
}


// Register Team Member custom post type
add_action( 'init', 'consultab_leadership' );
function consultab_leadership() {
	$labels = array(
		'name'                  => esc_html__( 'Leader Member', 'post type general name', 'consultab' ),
		'singular_name'         => esc_html__( 'Leader Member', 'post type singular name', 'consultab' ),
		'featured_image'        => esc_html__( 'Leader Member Photo', 'consultab'  ),
		'set_featured_image'    => esc_html__( 'Set Leader Member Photo', 'consultab'  ),
		'remove_featured_image' => esc_html__( 'Remove Leader Member Photo', 'consultab'  ),
		'use_featured_image'    => esc_html__( 'Use as Leader Member Photo', 'consultab'  ),
		'menu_name'             => esc_html__( 'Leader', 'admin menu', 'consultab' ),
		'name_admin_bar'        => esc_html__( 'Leader Member', 'add new on admin bar', 'consultab' ),
		'add_new'               => esc_html__( 'Add New', 'Leader Member', 'consultab' ),
		'add_new_item'          => esc_html__( 'Add New Leader Member', 'consultab' ),
		'new_item'              => esc_html__( 'New Leader Member', 'consultab' ),
		'edit_item'             => esc_html__( 'Edit Leader Member', 'consultab' ),
		'view_item'             => esc_html__( 'View Leader Member', 'consultab' ),
		'all_items'             => esc_html__( 'All Leader Members', 'consultab' ),
		'search_items'          => esc_html__( 'Search Leader Member', 'consultab' ),
		'parent_item_colon'     => esc_html__( 'Parent Leader Member:', 'consultab' ),
		'not_found'             => esc_html__( 'No Classs found.', 'consultab' ),
		'not_found_in_trash'    => esc_html__( 'No Classs found in Trash.', 'consultab' )
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'consultleadership' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'menu_icon'			 => 'dashicons-businessman',
		'supports'           => array( 'title', 'editor', 'thumbnail','category','tag')
	);

	register_post_type( 'consultleadership', $args );
}

// Custom taxonomy Leader
add_action( 'after_setup_theme', 'consultab_custom_leader_taxonomy' );
function consultab_custom_leader_taxonomy() {
	register_taxonomy(
		'consultleadership-categories',
		'consultleadership',
		array(
			'label' => esc_html__( 'Leader Category', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
	register_taxonomy(
		'consultleadership-tag',
		'consultleadership',
		array(
			'label' => esc_html__( 'Leader Tag', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
}


// Faqs custom post type
add_action( 'init', 'consultab_faqs' );
function consultab_faqs() {
	$labels = array(
		'name'                  => esc_html__( 'Faqs', 'post type general name', 'consultab' ),
		'singular_name'         => esc_html__( 'Faqs', 'post type singular name', 'consultab' ),
		'featured_image'        => esc_html__( 'Faqs Photo', 'consultab'  ),
		'set_featured_image'    => esc_html__( 'Set Faqs Photo', 'consultab'  ),
		'remove_featured_image' => esc_html__( 'Remove Faqs Photo', 'consultab'  ),
		'use_featured_image'    => esc_html__( 'Use as Faqs Photo', 'consultab'  ),
		'menu_name'             => esc_html__( 'Our Faqs', 'admin menu', 'consultab' ),
		'name_admin_bar'        => esc_html__( 'Faqs', 'add new on admin bar', 'consultab' ),
		'add_new'               => esc_html__( 'Add New', 'Faqs', 'consultab' ),
		'add_new_item'          => esc_html__( 'Add New Faqs', 'consultab' ),
		'new_item'              => esc_html__( 'New Faqs', 'consultab' ),
		'edit_item'             => esc_html__( 'Edit Faqs', 'consultab' ),
		'view_item'             => esc_html__( 'View Faqs', 'consultab' ),
		'all_items'             => esc_html__( 'All Faqss', 'consultab' ),
		'search_items'          => esc_html__( 'Search Faqs', 'consultab' ),
		'parent_item_colon'     => esc_html__( 'Parent Faqs:', 'consultab' ),
		'not_found'             => esc_html__( 'No Classs found.', 'consultab' ),
		'not_found_in_trash'    => esc_html__( 'No Classs found in Trash.', 'consultab' )
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'consultabfaqs' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'menu_icon'			 => 'dashicons-media-text',
		'supports'           => array( 'title', 'editor', 'thumbnail','category','tag')
	);

	register_post_type( 'consultabfaqs', $args );
}

// Custom taxonomy Faqs
add_action( 'after_setup_theme', 'consultab_custom_faq_taxonomy' );
function consultab_custom_faq_taxonomy() {
	register_taxonomy(
		'consultabfaqs-categories',
		'consultabfaqs',
		array(
			'label' => esc_html__( 'Faq Category', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
	register_taxonomy(
		'consultabfaqs-tag',
		'consultabfaqs',
		array(
			'label' => esc_html__( 'Faq Tag', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
}


// Register Portfolio custom post type
add_action( 'init', 'consultab_service' );
function consultab_service() {
	$labels = array(
		'name'                  => esc_html__( 'Service', 'post type general name', 'consultab' ),
		'singular_name'         => esc_html__( 'Service', 'post type singular name', 'consultab' ),
		'featured_image'        => esc_html__( 'Service Photo', 'consultab'  ),
		'set_featured_image'    => esc_html__( 'Set Service Photo', 'consultab'  ),
		'remove_featured_image' => esc_html__( 'Remove Service Photo', 'consultab'  ),
		'use_featured_image'    => esc_html__( 'Use as Service Photo', 'consultab'  ),
		'menu_name'             => esc_html__( 'Service', 'admin menu', 'consultab' ),
		'name_admin_bar'        => esc_html__( 'Service', 'add new on admin bar', 'consultab' ),
		'add_new'               => esc_html__( 'Add New', 'Service', 'consultab' ),
		'add_new_item'          => esc_html__( 'Add New Service', 'consultab' ),
		'new_item'              => esc_html__( 'New Service', 'consultab' ),
		'edit_item'             => esc_html__( 'Edit Service', 'consultab' ),
		'view_item'             => esc_html__( 'View Service', 'consultab' ),
		'all_items'             => esc_html__( 'All Service', 'consultab' ),
		'search_items'          => esc_html__( 'Search Service', 'consultab' ),
		'parent_item_colon'     => esc_html__( 'Parent Service :', 'consultab' ),
		'not_found'             => esc_html__( 'No Classs found.', 'consultab' ),
		'not_found_in_trash'    => esc_html__( 'No Classs found in Trash.', 'consultab' )
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => true,
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'menu_icon'			 => 'dashicons-admin-tools',
		'supports'           => array( 'title', 'editor', 'thumbnail','category','tag')
	);

	register_post_type( 'service', $args );
}


// Custom taxonomy Service
add_action( 'after_setup_theme', 'consultab_custom_service_taxonomy' );
function consultab_custom_service_taxonomy() {
	register_taxonomy(
		'service-categories',
		'service',
		array(
			'label' => esc_html__( 'Service Category', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
	register_taxonomy(
		'service-tag',
		'service',
		array(
			'label' => esc_html__( 'Service Tag', 'consultab' ),
			'rewrite' => true,
			'hierarchical' => true,
		)
	);
}




// Visual Composer Shortcodes Handle
add_action( 'plugins_loaded', 'shortcodes_init' );
function shortcodes_init() {
	foreach( glob( plugin_dir_path( __FILE__ ) . '/visualcomposer/shortcodes/*.php' ) as $filename ) {
		require_once $filename;
	}
}

require_once(consultab_TH_ROOT . 'widget/footer-contact.php');

require_once(consultab_TH_ROOT . 'widget/subscribe.php');

require_once(consultab_TH_ROOT . 'widget/social_media.php');

require_once(consultab_TH_ROOT . 'widget/recent-post.php');

require_once(consultab_TH_ROOT . 'widget/testimonial.php');

require_once(consultab_TH_ROOT . 'widget/pdf.php');

require_once(consultab_TH_ROOT . 'extensions/consultab-font-icon.php');



/*---------------------------------------
		iQonic admin enque
---------------------------------------*/
function consultab_enqueue_custom_admin_style() {
	

	wp_enqueue_style( 'consultab-v4-shims', consultab_TH_URL . '/assests/css/v4-shims.css', false, '1.0.0' );
	wp_enqueue_style( 'consultab-font-awesome-5', consultab_TH_URL . '/assests/css/all.min.css', false, '1.0.0' );
	
}
add_action( 'wp_enqueue_scripts', 'consultab_enqueue_custom_admin_style' );
?>