<?php
// 3D Hover Box
function consultab3DHoverBox( $atts, $content = null ) {

	$data = wp_parse_args( $atts, array(
		'consultabtitle_content'  		=> 'Easy to Customize',
		'consultabsubtitle_content' 	=> 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.',
		'image'       				=> '',
		'openiconic' 				=> '',
        'fontawesome' 				=> '',
        'typicons' 					=> '',
        'entypo' 					=> '',
		'linecons' 					=> '',
		'ionicons' 					=> '',
		'flaticon'	                => '',
		'bg_image'       			=> '',
		'bg_hover_image'            => '',
		'position' 					=> 'left',
		'extra_class'               => '',
		'tag'						=> 'h2',
		'title_color'				=> '',
		'content_color'				=> '',
		'icon_color'				=> '',
		'flip_from'                 => 'right',
		'link'						=> '',
		'delay_time'				=> '',
	) );

	$css_class = '';

	wp_enqueue_style( 'font-awesome' );
	wp_enqueue_style( 'vc_openiconic' );
	wp_enqueue_style( 'vc_typicons' );
	wp_enqueue_style( 'vc_entypo' );
	wp_enqueue_style( 'vc_linecons' );

	$title_color = $data['title_color'] ?  $data["title_color"]  : '';
	$title_color = $title_color ? ' style="color: ' . $title_color . ';"' : '';

	$content_color = $data['content_color'] ?  $data["content_color"]  : '';
	$content_color = $content_color ? ' style="color: ' . $content_color . ';"' : '';

	$icon_color = $data['icon_color'] ?  $data["icon_color"]  : '';
	$icon_color = $icon_color ? ' style="color: ' . $icon_color . ';"' : '';

	$url = $data['bg_image'] ? wp_get_attachment_image_url( $data["bg_image"], "full") : '';
	$bg_image = 'style="background-image: url('. $url .');"';

	$url = $data['bg_hover_image'] ? wp_get_attachment_image_url( $data["bg_hover_image"], "full") : '';
	$bg_hover_image = 'style="background-image: url('. $url .');"';

	$position = $data['position'] ? $data["position"] : '';

	$tag = $data['tag'] ? $data["tag"] : '';

	$consultabtitle_content = $data['consultabtitle_content'] ? $data["consultabtitle_content"]  : '';

	$consultabsubtitle_content = $data['consultabsubtitle_content'] ?  $data["consultabsubtitle_content"]  : '';

	$flip_from = $data['flip_from'] ?  $data["flip_from"]  : '';

	$delay_time = $data['delay_time'] ?  $data["delay_time"]  : '';

	if(!empty($delay_time))
	{
		$delay_time = 'data-wow-delay="'.$delay_time.'s"';
	}

	$link = $data['link'] ? $data["link"] : '';

	$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

	$icons ='';
	$icon_f = $data['fontawesome'] ? '<i aria-hidden="true" class="'.$data['fontawesome'].'" '.$icon_color.'></i>' : '';
	$icon_o = $data['openiconic'] ? '<i aria-hidden="true" class="'.$data['openiconic'].'" '.$icon_color.'></i>' : '';
	$icon_t = $data['typicons'] ? '<i aria-hidden="true" class="'.$data['typicons'].'" '.$icon_color.'></i>' : '';
	$icon_e = $data['entypo'] ? '<i aria-hidden="true" class="'.$data['entypo'].'" '.$icon_color.'></i>' : '';
	$icon_l = $data['linecons'] ? '<i aria-hidden="true" class="'.$data['linecons'].'" '.$icon_color.'></i>' : '';
	$icon_i = $data['ionicons'] ? '<i aria-hidden="true" class="'.$data['ionicons'].'" '.$icon_color.'></i>' : '';
	$icon_fl = $data['flaticon'] ? '<i aria-hidden="true" class="'.$data['flaticon'].'" '.$icon_color.'></i>' : '';

	$url = $data['image'] ? wp_get_attachment_image_url( $data["image"], "full") : '';
	$image = '<img src="'. $url .'" alt="fancybox" />';
	if($url)
	{
		$icons = $image;
	}
	else
	{
	    if($icon_o || $icon_f || $icon_t || $icon_e || $icon_l || $icon_i || $icon_fl)
		{
            $icons = ' '.$icon_f.''.$icon_o.''.$icon_t.''.$icon_e.''.$icon_l.''.$icon_i.''.$icon_fl.' ';
        }
	}

	$link = ('||'===$link)?'':$link;
	$link = vc_build_link($link);
	$a_href =$link['url'];
	$a_title = $link['title'];
	$target = '';
	if(!empty($link['target']))
	{
		$target .= 'target="_blank"';
	}
	if(!empty($link['rel']))
	{
		$target .= ' rel="nofollow"';
	}


	$out ='';

	$out.='
	<div  class="feature-flip-box flip-'.$flip_from.' wow fadeInUp '.$extra_class.' text-'.$position.' '. esc_attr( $css_class ) .'" '. $delay_time .'>
        <div class="flipbox-wrapper">
	        <div class="front-side" '.$bg_image.'>';
                
                $out.='
	            <div class="flip-icon">
                    '.$icons.'
                </div>';

	            $out .='<'.$tag.' class="flipbox-title" '.$title_color.'>'.$consultabtitle_content.'</'.$tag.'>';

	            if(!empty($consultabsubtitle_content)) {
					$out .='<div class="flipbox-details" '.$content_color.'>'.$consultabsubtitle_content.'</div>';
		        }

		    $out .='
	        </div>
	        <div class="back-side" '.$bg_hover_image.'>
	            <div class="flipbox-content">';
	                if(!empty($a_title)) {
						$out .='<a class="blue-btn button" href="'. $a_href . '" '.$target.'>'.$a_title.'</a>';
				    }
				    $out .='
	            </div>
	        </div>
        </div>
    </div>';

	return $out;
	

}
add_shortcode('consultab3DHoverBox','consultab3DHoverBox');
