<?php
// Fancy List
function consulfancyList( $atts, $content = null ) {

	$data = wp_parse_args( $atts, array(
		'features' => '',
		'position'	=> 'left',
		'tag'		=> 'h2',
		'extra_class'   => '',
		'css'   => '',
		'consultabtitle_content'	=> '',
		'consultabsubtitle_content' => '',
		'openiconic' => '',
		'fontawesome' => '',
		'typicons' => '',
		'entypo' => '',
		'linecons' => '',
		'ionicons' => '',
		'icon_color'    => '',
		'text_color' => '',
    ) );

	$css_class = '';

	wp_enqueue_style( 'font-awesome' );
	wp_enqueue_style( 'vc_openiconic' );
	wp_enqueue_style( 'vc_typicons' );
	wp_enqueue_style( 'vc_entypo' );
	wp_enqueue_style( 'vc_linecons' );

	$icons ='';

	$position = $data['position'] ?  $data["position"]  : '';

	$tag = $data['tag'] ?  $data["tag"]  : '';

	$extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

	$consultabtitle_content = $data['consultabtitle_content'] ?  $data["consultabtitle_content"]  : '';

	$css = $data['css'] ?  $data["css"]  : '';

	if(!empty($css)){
		$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
	}

	$features = $data['features'] ?  $data["features"]  : '';
	$features = vc_param_group_parse_atts( $features );

	$out ='';

	$out .= '
	<div class="map-detail text-'.$position.' '.$extra_class.' '. esc_attr( $css_class ) .'">
		<'.$tag.'>'.$consultabtitle_content.'</'.$tag.'>
		<ul class="iq-list">';
		foreach ( $features as $data ) {

			if($data['type'] == "fontawesome"){
				$data['fontawesome'] ? $data['icon'] = $data['fontawesome'] : '';
			} else if($data['type'] == "openiconic"){
				$data['openiconic'] ? $data['icon'] =$data['openiconic'] : '';
			} else if($data['type'] == "typicons"){
				$data['typicons'] ? $data['icon'] =$data['typicons'] : '';
			} else if($data['type'] == "entypo"){
				$data['entypo'] ? $data['icon'] = $data['entypo'] : '';
			} else if($data['type'] == "linecons"){
				$data['linecons'] ? $data['icon'] =$data['linecons'] : '';
			} else if($data['type'] == "Ionicons"){
				$data['ionicons'] ? $data['icon'] =$data['ionicons'] : '';
			}

		    $out .='
		    <li>
		        <i class="'.$data['icon'].'"></i>';
		        if(!empty($data['text_color'])) {
			        $out .='
			        <span style="color: '.$data['text_color'].'">'.$data['consultabsubtitle_content'].'</span>';
			    } else {
                    $out .='
			        <span>'.$data['consultabsubtitle_content'].'</span>';
			    }
			$out .='        
		    </li>';

		}
		$out .= '</ul>
	</div>';

	return $out;

}
add_shortcode('consulfancyList', 'consulfancyList');
