<?php
// Tabs
if(!function_exists('iq_tab')){

    function iq_tab( $atts, $content = null){

        $data = wp_parse_args( $atts, array(
            'tag'               => 'h2',
            'position'          => 'left',
            'extra_class'       => '',
            'css' 			    => '',
        ) );

        $css_class = '';

        $extra_class = $data['extra_class'] ?  $data["extra_class"]  : '';

        $tag = $data['tag'] ?  $data["tag"]  : '';

        $position = $data['position'] ?  $data["position"]  : '';

		$css = $data['css'] ?  $data["css"]  : '';

        if(!empty($css)){
			$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class( $css, ' ' ), $atts['css'] );
            }

        $par = shortcode_atts($data, $atts);
        extract($par);

        /*---------Title---------*/
        preg_match_all('/tab_title="([^\"]+)"/i', $content, $matches, PREG_OFFSET_CAPTURE);
        $tab_title = array();

        if (isset($matches[0])) { $tab_title = $matches[0]; }
        $tab_title_array = array();

        foreach($tab_title as $tab) {
            preg_match('/tab_title="([^\"]+)"/i', $tab[0], $tab_matches, PREG_OFFSET_CAPTURE);
            $tab_title_array[] = $tab_matches[1][0];
        }

        /*---------iq_image---------*/
        preg_match_all('/iq_image="([^\"]+)"/i', $content, $matches, PREG_OFFSET_CAPTURE);
        $iq_image = array();
        if (isset($matches[0])) { $iq_image = $matches[0]; }
        $iq_image_array = array();
        foreach($iq_image as $tab) {
            preg_match('/iq_image="([^\"]+)"/i', $tab[0], $tab_matches, PREG_OFFSET_CAPTURE);
            $iq_image_array[] = $tab_matches[1][0];
        }

        $a1['t1'] = $tab_title_array;
        $a5['t2'] = $iq_image_array;

        $merge[] = array_merge($a1,$a5);

        foreach ($merge as $key=>$val) {
            $title1         = $val['t1'];
            $image1         = $val['t2'];
        }

        $p = count($tab_title);
        $params['content'] = $content;

        $out = '';

        $out .='<div class="row custom-tab horizontal-tab1 text-'.$position.' '.$extra_class.' '. esc_attr( $css_class ) .'">
                <div class="col-lg-12 col-md-12 ">
               
                         <ul class="nav nav-pills nav-pills-style-3" id="pills-tab" role="tablist"  aria-orientation="vertical">';
                         $i=0;
                        for($i=0;$i<$p;$i++){

                            $img ='';
                            $title = $title1[$i];

                            $img = isset($image1[$i]) ? $image1[$i] : '';

                            if($i == 0){ $ac3 = 'active show'; }else { $ac3=''; }
                            if($i == 0){ $aria3 = 'true'; }else { $aria3='false'; }
                            $out .='
                            <li class="nav-item">';

                                $out .= '
                                    <a class="nav-link '.$ac3.'" data-toggle="pill" href="#tab-'.sanitize_title($title).'" role="tab" aria-selected="'.$aria3.'">';
                                    $out .='<div class="media">';
                                    if(!empty($img))
                                    {
                                        $url   = wp_get_attachment_image_url( $img );
                                        $out .= '<img src="'. $url .'" alt="tab-image" class="img-fluid" />';
                                    }
                                    $out .='<div class="media-body">';
                                                $out .='<'.$tag .' class="active-title">'.$title .'</'.$tag .'>';
                                            $out .='</div>';
                                        $out .='</div>';
                                $out .= '</a> ';
                             
                            $out .= '
                            </li>';

                        }
                    $out .= '
                    </ul>
                </div>';
        $out .='<div class="col-lg-12 col-md-12  show_content">';
                        $out .= do_shortcode( $content );
        $out .= '</div>';
       
        $out .='</div>';

        return $out;

    }

    add_shortcode( 'iq_tab' , 'iq_tab' );
}

if(!function_exists('iq_inner_item')){

    function iq_inner_item($atts, $content = null){

    $data = wp_parse_args( $atts, array(
        'tab_title'      => 'Tab Title',
        'iq_image'       => '',
    ) );

    $params = shortcode_atts($data, $atts);
    extract($params);

    $params['tab_title']     = $params['tab_title'];

    $params['content'] = $content;

    $out = '';

    $out .= '
    <div id="tab-'.sanitize_title($params['tab_title']).'" class="tab-pane fade">';
        $out .= do_shortcode($content);
    $out .= '
    </div>';

    return $out;
    }
    add_shortcode( 'iq_inner_item' , 'iq_inner_item' );
}
