<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package WordPress
 * @subpackage consultab
 * @since 1.0
 * @version 1.0
 */

get_header(); 
$consultab_option = get_option('consultab_options');

if(isset($consultab_option['consultab_404_banner_image']['url'])){
	$bgurl = $consultab_option['consultab_404_banner_image']['url'];
}
?>
<div class="error-bg" <?php if(!empty($bgurl)){ ?> style="background: url(<?php echo esc_url($bgurl); ?> );" <?php } ?>>
	<div class="container">
		<div id="primary" class="content-area">
			<main id="main" class="site-main">
				<div class="error-404 not-found">
					<div class="page-content">
						<div class="row">
							<div class="col-sm-12 text-center">
								<?php 
								if(!empty($consultab_option['consultab_fourzerofour_title']))
								{ 
								?>
								<div class="big-text">
									<?php $four_title = $consultab_option['consultab_fourzerofour_title']; echo esc_html($four_title); ?>
								</div>
								<?php
								}
								else
								{
								?>
								<div class="big-text">
									<?php esc_html_e( '404', 'consultab' ); ?>
								</div>
								<?php
								}
								?>
								<?php 
								if(!empty($consultab_option['consultab_four_description']))
								{ 
								?>
								<h4 class="mb-2">
									<?php $four_des = $consultab_option['consultab_four_description']; echo esc_html($four_des); ?>
								</h4>
								<?php
								}
								else
								{
								?>
								<h4 class="mb-2">
									<?php esc_html_e( 'Oops! This Page is Not Found.', 'consultab' ); ?>
								</h4>
								<?php
								}
								?>
								<?php 
								if(!empty($consultab_option['consultab_description']))
								{ 
								?>
								<p class="mb-5">
									<?php $four_des = $consultab_option['consultab_description']; echo esc_html($four_des); ?>
								</p>
								<?php
								}
								else
								{
								?>
								<p class="mb-5">
									<?php esc_html_e( 'The requested page does not exist.', 'consultab' ); ?>
								</p>
								<?php
								}
								?>
								<div class="d-block">
									<a class="button" href="<?php echo esc_url(home_url()); ?>"><?php esc_html_e('Back to Home', 'consultab'); ?></a>
								</div>
							</div>
						</div>
					</div><!-- .page-content -->
				</div><!-- .error-404 -->
			</main><!-- #main -->
		</div><!-- #primary -->
	</div><!-- .container -->
</div>

<?php get_footer();
