<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage consultab
 * @since 1.0
 * @version 1.2
 */
$consultab_option = get_option('consultab_options'); ?>
</div><!-- #content -->
<!-- Footer start-->
<?php
if(isset($consultab_option['display_footer']))
{
	$options = $consultab_option['display_footer'];
	if($options == "yes")
	{
		if(isset($consultab_option['footer_image']['url'])){
				$bgurl = $consultab_option['footer_image']['url'];
		}
	}
}
?>
<?php
if(isset($consultab_option['consultab_footer_effect']))
{
	$options = $consultab_option['consultab_footer_effect'];
	if($options == "yes")
	{
		$footer_class = esc_html__('effect-footer','consultab');
	}
}
?>
<footer id="contact" class="footer-one iq-bg-over iq-over-dark-90 <?php if(!empty($footer_class)) { echo esc_attr($footer_class); } ?>" <?php if(!empty($bgurl)){ ?> style="background: url(<?php echo esc_url($bgurl); ?> );" <?php } ?>>
		
      <div class="container">
        <?php

          get_template_part( 'template-parts/footer/footer', 'widgets' );
        
          get_template_part( 'template-parts/footer/site', 'info' );
           
        ?>
      </div>
    </footer>
  <!-- Footer stop-->

    </div><!-- .site-content-contain -->
</div><!-- #page -->
<?php
$consultab_option = get_option('consultab_options');
if(isset($consultab_option['consultab_back_to_top']))
{
	$options = $consultab_option['consultab_back_to_top'];
	if($options == "yes")
	{
	?>
	<!-- === back-to-top === -->
	<div id="back-to-top">
		<a class="top" id="top" href="#top"> <i class="ion-ios-arrow-up"></i> </a>
	</div>
	<!-- === back-to-top End === -->
	<?php 
	}
}
else 
{
?>
	<!-- === back-to-top === -->
	<div id="back-to-top">
		<a class="top" id="top" href="#top"> <i class="ion-ios-arrow-up"></i> </a>
	</div>
	<!-- === back-to-top End === -->
<?php
}
?>
<?php
if(!empty($consultab_option['consultab_js_code'])){	
?>
<script type="text/javascript">
<?php echo wp_specialchars_decode($consultab_option['consultab_js_code']); ?>
</script>
<?php
}
?>
<?php wp_footer(); ?>
</body>
</html>
