<?php
/**
 * The front page template file
 *
 * If the user has selected a static page for their homepage, this is what will
 * appear.
 * Learn more: https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage consultab
 * @since 1.0
 * @version 1.0
 */

get_header(); ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main">

            <?php // Show the selected frontpage content.
            if (have_posts()) :
                while (have_posts()) : the_post();
                    get_template_part('template-parts/page/content', 'front-page');
                endwhile;
            else :
                get_template_part('template-parts/post/content', 'none');
            endif; ?>

            <?php
            // Get each of our panels and show the post data.
            if (function_exists('consultab_front_page_section')) {
                if (0 !== consultab_panel_count() || is_customize_preview()) : // If we have pages to show.

                    /**
                     * Filter number of front page sections in consultab.
                     *
                     * @param int $num_sections Number of front page sections.
                     * @since consultab 1.0
                     *
                     */
                    $num_sections = apply_filters('consultab_front_page_sections', 4);
                    global $consultab_counter;

                    // Create a setting and control for each of the sections available in the theme.
                    for ($i = 1; $i < (1 + $num_sections); $i++) {
                        $consultab_counter = $i;
                        consultab_front_page_section(null, $i);
                    }
                endif; // The if ( 0 !== consultab_panel_count() ) ends here.
            }
            ?>

        </main><!-- #main -->
    </div><!-- #primary -->
<?php get_footer(); ?>