<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage consultab
 * @since 1.0
 * @version 1.0
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $consultab_option = get_option('consultab_options'); ?>

    <?php
    if (!function_exists('has_site_icon') || !wp_site_icon()) {
        if (!empty($consultab_option['consultab_fevicon'])) { ?>
            <link rel="shortcut icon" href="<?php echo esc_url($consultab_option['consultab_fevicon']['url']); ?>"/>
            <?php
        }
    }
    ?>

    <?php wp_head(); ?>
</head>

<?php
if (!empty($consultab_option['consultab_layout_image']['url'])) {
    $bglayout = $consultab_option['consultab_layout_image']['url'];
}
?>
<body data-spy="scroll" data-offset="80" <?php body_class(); ?>
      <?php
      if ($consultab_option['layout_set'] == "3")
      {
      ?>style="background: url(<?php if (!empty($bglayout)) {
          echo esc_url($bglayout);
      } ?>)"
<?php
}
?>
>
<?php
$options = $consultab_option['consultab_display_loader'];
if ($options == "yes") {
    ?>
    <!-- loading -->
    <div id="loading">
        <div id="loading-center">
            <?php if ($consultab_option['loader_set'] == 1) {
                if (!empty($consultab_option['consultab_loader_gif']['url'])) {
                    $bgurl = $consultab_option['consultab_loader_gif']['url'];
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                } else {
                    $bgurl = get_template_directory_uri() . '/assets/images/loader.gif';
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                }
            } else {
                if ($consultab_option['loader_image'] == 1) {
                    $bgurl = get_template_directory_uri() . '/assets/images/loader/loader.gif';
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                } elseif ($consultab_option['loader_image'] == 2) {
                    $bgurl = get_template_directory_uri() . '/assets/images/loader/loader2.gif';
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                } elseif ($consultab_option['loader_image'] == 3) {
                    $bgurl = get_template_directory_uri() . '/assets/images/loader/loader3.gif';
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                } elseif ($consultab_option['loader_image'] == 4) {
                    $bgurl = get_template_directory_uri() . '/assets/images/loader/loader.gif';
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                } elseif ($consultab_option['loader_image'] == 5) {
                    $bgurl = get_template_directory_uri() . '/assets/images/loader/loader2.gif';
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                } else {
                    $bgurl = get_template_directory_uri() . '/assets/images/loader/loader3.gif';
                    ?>
                    <img src="<?php echo esc_url($bgurl); ?>" alt="<?php esc_attr_e('loader', 'consultab'); ?>">
                    <?php
                }
            }
            ?>

        </div>
    </div>
    <!-- loading End -->
    <?php

}
?>
<div id="page" class="site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html__('Skip to content', 'consultab'); ?></a>

    <?php
    if($consultab_option['mainte_mode'] === 'yes')
    {
        get_template_part('template-parts/maintenance/maintenance');
        die;    
    }
    

    $options = $consultab_option['consultab_header_variation'];

    if ($options == "2") {
        get_template_part('template-parts/header/header', 'two');
    } else if ($options == "3") {
        get_template_part('template-parts/header/header', 'three');
    } else {
        get_template_part('template-parts/header/header', 'one');
    }
    ?>

    <?php
    if(function_exists('consultab_display_header'))
    {
        consultab_display_header();
    }
    ?>
    <div class="site-content-contain">
        <div id="content" class="site-content">
