<?php
if(class_exists('ReduxFramework'))
{
    add_action('wp_enqueue_scripts', 'consultab_color', 20);    
}

function consultab_color()
{

    $consultab_option = get_option('consultab_options');

    if(isset($consultab_option['consultab_color']) && $consultab_option['consultab_color'] == '2')
    {
    
    $color_var = ':root { ';
    
    
    
        $color_var = ':root { ';
        if(!empty($consultab_option['primary_color']))
        {
            $color = $consultab_option['primary_color'];
            $color_var .= ' --primary-color: '.$color.' !important;';
        }
        if(!empty($consultab_option['secondary_color']))
        {
            $color = $consultab_option['secondary_color'];
            $color_var .= ' --secondary-color: '.$color.' !important;';
        }
        if(!empty($consultab_option['tertiary_color']))
        {
            $color = $consultab_option['tertiary_color'];
            $color_var .= ' --text-color: '.$color.' !important;';
        }
        if(!empty($consultab_option['white_color']))
        {
            $color = $consultab_option['white_color'];
            $color_var .= ' --white-color: '.$color.' !important;';
        }

        
        if(!empty($consultab_option['gradient_color']['rgba']))
        {
            $color = $consultab_option['gradient_color']['rgba'];
            $color_var .= ' --gradient-color: '.$color.' !important;';
        }
       
        $color_var .='}';  
        wp_add_inline_style('consultab-style', $color_var);
    }
}




function consultab_layout_color() {     
    //Set Body Color
    $consultab_option = get_option('consultab_options');
    $consultab_layout_color = $consultab_option['consultab_layout_color'];
    $body_primary_color = "";

    if($consultab_option['layout_set'] == "1"){
        if( !empty($consultab_layout_color) && $consultab_layout_color != '#ffffff') {
            $body_primary_color .= "
            body {
                background-color: $consultab_layout_color !important;
            }"; 
        }
    }
    wp_add_inline_style( 'consultab-style', $body_primary_color );
}
add_action( 'wp_enqueue_scripts', 'consultab_layout_color' , 20);

function consultab_loader_color() {
    //Set Loader Background Color
    $consultab_option = get_option('consultab_options');
    $loader_color = $consultab_option['loader_color'];
    $ld_color = "";

    if( !empty($loader_color) && $loader_color != '#ffffff') {
        $ld_color .= "
        #loading {
            background : $loader_color !important;
        }"; 
    }
    wp_add_inline_style( 'consultab-style', $ld_color );
}
add_action( 'wp_enqueue_scripts', 'consultab_loader_color' , 20);

function consultab_bg_color() {
    //Set Background Color
    $consultab_option = get_option('consultab_options');
    $bg_color = $consultab_option['bg_color'];
    $background_color = "";

    if($consultab_option['bg_type'] == "1"){
        if( !empty($bg_color) && $bg_color != '#ffffff') {
            $background_color .= "
            .iq-bg-over {
                background : $bg_color !important;
            }"; 
        }
    }
    wp_add_inline_style( 'consultab-style', $background_color );
}
add_action( 'wp_enqueue_scripts', 'consultab_bg_color' , 20);

function consultab_opacity_color() {
    //Set Background Opacity Color
    $consultab_option = get_option('consultab_options');
    if($consultab_option['bg_opacity'] == "3"){
    $bg_opacity = $consultab_option['opacity_color']['rgba'];
    }
    $op_color = "";

    if($consultab_option['bg_opacity'] == "3"){
    if( !empty($bg_opacity) && $bg_opacity != '#ffffff') {
        $op_color .= "
        .breadcrumb-video::before,.breadcrumb-bg::before, .breadcrumb-ui::before {
            background : $bg_opacity !important;
        }"; 
        }
    }
    wp_add_inline_style( 'consultab-style', $op_color );
}
add_action( 'wp_enqueue_scripts', 'consultab_opacity_color' , 20);

function consultab_header_radio() {
    //Set Text Logo Color
    $consultab_option = get_option('consultab_options');
    $logo = $consultab_option['header_color'];
    $logo_color = "";

    if($consultab_option['header_radio'] == "1"){
        if( !empty($logo) && $logo != '#ffffff') {
            $logo_color .= "
            .logo-text {
                color : $logo !important;
            }"; 
        }
    }
    wp_add_inline_style( 'consultab-style', $logo_color );
}
add_action( 'wp_enqueue_scripts', 'consultab_header_radio' , 20);

function consultab_footer_color() {
    //Set Footer Background Color
    $consultab_option = get_option('consultab_options');
    if($consultab_option['change_footer_color'] == "0"){
    $f_color = $consultab_option['footer_color']['rgba'];
    }
    $footer_color = "";
    
    if($consultab_option['change_footer_color'] == "0"){
        if( !empty($f_color) && $f_color != '#ffffff') {
            $footer_color .= "
            .iq-over-dark-90:before {
                background : $f_color !important;
            }"; 
        }
    }
    wp_add_inline_style( 'consultab-style', $footer_color );
}
add_action( 'wp_enqueue_scripts', 'consultab_footer_color' , 20);
?>