<?php
global $consultab_options;
// TGM plugin activation
require_once get_template_directory() . '/inc/tgm/consultab-required-plugins.php';
// Visual Composer Added
require_once get_template_directory() . '/inc/visualcomposer/init.php';
// Breadcrumbs
require_once get_template_directory() . '/inc/custom/breadcrumbs.php';
// Demo import
require_once get_template_directory() . '/inc/demo/import.php';
// Header Breadcrumbs
require_once get_template_directory() . '/inc/custom/consultab-breadcrumbs.php';
// Comment
require_once get_template_directory() . '/inc/custom/consultab-comment.php';
// Pagination
require_once get_template_directory() . '/inc/custom/consultab-pagination.php';
//Maintenance
require_once get_template_directory() . '/inc/custom/consultab-maintenance.php';
// Widget
require_once get_template_directory() . '/inc/custom/consultab-widget.php';
// Dynamic Style
require_once get_template_directory() . '/inc/custom/consultab-dynamic-style.php';
// Color Style
require_once get_template_directory() . '/inc/custom/color-style.php';
require_once get_template_directory() . '/inc/theme-reset/theme-reset.php';

function consultab_custom_fonts_url() 
{
	$fonts_url = '';

	/* Translators: If there are characters in your language that are not

	* supported by poppins, translate this to 'off'. Do not translate
	* into your own language.
	*/
	$poppins = _x( 'on', 'Poppins font: on or off', 'consultab' );

	/* Translators: If there are characters in your language that are not
	* supported by Open Sans, translate this to 'off'. Do not translate
	* into your own language.
	*/
	$open_sans = _x( 'on', 'Open Sans font: on or off', 'consultab' );

	if ( 'off' !== $poppins || 'off' !== $open_sans ) {
	$font_families = array();

	if ( 'off' !== $poppins ) {
	$font_families[] = 'Poppins:400,500,600';
	}

	if ( 'off' !== $open_sans ) {
	$font_families[] = 'Open Sans:400,600';
	}



	$query_args = array(
	'family' => urlencode( implode( '|', $font_families ) ),
	'subset' => urlencode( 'latin,latin-ext' ),
	);

	$fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );
	}

	return esc_url_raw( $fonts_url );
}

function consultab_load_js_css(){
	$consultab_option = get_option('consultab_options');

	/* Custom JS */
	wp_enqueue_script('bootstrap', get_template_directory_uri() .'/assets/js/bootstrap.min.js', array(), '4.1.3' , true);

	wp_enqueue_script('countdown', get_template_directory_uri() .'/assets/js/countdown.js', array(),'1.0', true);

	wp_enqueue_script('appear', get_template_directory_uri() .'/assets/js/appear.js', array(),'1.0', true);

	wp_enqueue_script('jquery-count', get_template_directory_uri() .'/assets/js/jquery.countTo.js', array( 'jquery' ),'1.0', true);

	wp_enqueue_script('jquery-countdown', get_template_directory_uri() .'/assets/js/jquery.countdown.min.js', array( 'jquery' ),'1.0', true);

	wp_enqueue_script('jquery-magnific', get_template_directory_uri().'/assets/js/magnific-popup/jquery.magnific-popup.min.js', array( 'jquery' ),'1.1.0', true);

	wp_enqueue_script('skrollr', get_template_directory_uri() .'/assets/js/skrollr.js', array(),'1.0', true);

	wp_enqueue_script('isotope', get_template_directory_uri() .'/assets/js/isotope.pkgd.min.js', array(),'1.0', true);

	wp_enqueue_script('owl-carousel', get_template_directory_uri() .'/assets/js/owl.carousel.min.js', array(),'2.3.4', true);

	wp_enqueue_script('popper', get_template_directory_uri() .'/assets/js/popper.min.js', array(), '1.0', true);

	wp_enqueue_script('swiper', get_template_directory_uri() .'/assets/js/swiper.min.js', array(), '1.0', true);

	wp_enqueue_script('slick', get_template_directory_uri() .'/assets/js/slick.min.js', array(), '1.0', true);

	wp_enqueue_script('wow', get_template_directory_uri() .'/assets/js/wow.min.js', array(), '1.3.0', true);

	$options = $consultab_option['consultab_header_sticky'];
	if($options == "yes")
    {
		wp_enqueue_script('sticky', get_template_directory_uri() .'/assets/js/sticky.js', array(),'1.0', true);
	}

	wp_enqueue_script('consultab-custom', get_template_directory_uri() .'/assets/js/consultab-custom.js', array(),'1.4', true);


	/* Custom CSS */

	wp_enqueue_style( 'consultab-font', consultab_custom_fonts_url(), array(), null);

	wp_enqueue_style('font-awesome', get_template_directory_uri() .'/assets/css/font-awesome.css',array(), '4.7.0', 'all');

	wp_enqueue_style('bootstrap', get_template_directory_uri() .'/assets/css/bootstrap.min.css',array(), '4.1.3', 'all');

	wp_enqueue_style('ionicons', get_template_directory_uri() .'/assets/css/ionicons.min.css',array(), '2.0.0', 'all');

	wp_enqueue_style('flaticon', get_template_directory_uri() .'/assets/css/flaticon.css',array(), '1.0.0', 'all');

	wp_enqueue_style('magnific-popup', get_template_directory_uri() .'/assets/css/magnific-popup.css', array(), '3.5.2', 'all');

	wp_enqueue_style('owl-carousel', get_template_directory_uri() .'/assets/css/owl.carousel.min.css',array(), '2.3.4', 'all');

	wp_enqueue_style('swiper', get_template_directory_uri() .'/assets/css/swiper.css',array(), '2.3.4', 'all');

	wp_enqueue_style('wow', get_template_directory_uri() .'/assets/css/wow.css',array(), '3.7.0', 'all');

	wp_enqueue_style('slick-theme', get_template_directory_uri() .'/assets/css/slick-theme.css',array(), '1.0', 'all');

	wp_enqueue_style('slick', get_template_directory_uri() .'/assets/css/slick.css',array(), '1.0', 'all');

	wp_enqueue_style('consultab-style', get_template_directory_uri() .'/assets/css/consultab-style.css',array(), '1.4', 'all');

	wp_enqueue_style('consultab-responsive', get_template_directory_uri() .'/assets/css/responsive.css',array(), '1.4', 'all');

}
add_action( 'wp_enqueue_scripts', 'consultab_load_js_css' );





function consultab_searchfilter($query) {
    if ($query->is_search) {
        $query->set('post_type', 'post');
    }
    return $query;
}
add_filter('pre_get_posts','consultab_searchfilter');


if ( !function_exists( 'consultab_dynamic_style' ) ) {

    function consultab_dynamic_style ( $consultab_css_array ){
        foreach ( $consultab_css_array as $css_part ) {
            if ( ! empty( $css_part[ 'value' ] ) ) {
                echo esc_attr($css_part[ 'elements' ]) . "{\n";
                echo esc_attr($css_part[ 'property' ]) . ":" . esc_attr($css_part[ 'value' ]) . ";\n";
                echo "}\n\n";
            }
        }
    }
}

function consultab_categories_postcount_filter ($variable) {
	$variable = str_replace('(', '<span class="post_count"> ', $variable);
	$variable = str_replace(')', ' </span>', $variable);
	return $variable;
}
add_filter('wp_list_categories','consultab_categories_postcount_filter');

function consultab_style_the_archive_count($links) {
    $links = str_replace('</a>&nbsp;(', '</a> <span class="archiveCount">', $links);
    $links = str_replace(')', '</span>', $links);
    return $links;
}
add_filter('get_archives_link', 'consultab_style_the_archive_count');

function consultab_inline_css(){
    $consultab_option = get_option('consultab_options');
    $custom_style = "";

    if(!empty($consultab_option['consultab_css_code'])){
     
        $consultab_css_code = $consultab_option['consultab_css_code'];
        $custom_style = esc_attr($consultab_css_code);
    }
    wp_add_inline_style( 'consultab-style', $custom_style );
}
add_action( 'wp_enqueue_scripts', 'consultab_inline_css' , 100);

function consultab_slug_body_class( $classes ) {
    global $post;
    if ( isset( $post ) ) {
        $classes[] = $post->post_type . '-' . $post->post_name;
    }
    return $classes;
}
add_filter( 'body_class', 'consultab_slug_body_class' );
?>