<?php
/*
 * Banner Options
 */

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Page Banner Setting','consultab'),
    'id'    => 'breadcrumbs-fevicon',
    'icon'  => 'el el-cog',
    'desc'  => esc_html__('This section contains options for Page Breadcrumbs Area.','consultab'),
    'fields'=> array(

        array(
            'id'      => 'bg_image',
            'type'    => 'image_select',
            'title'   => esc_html__( 'Select Banner Style', 'consultab' ),
            
            'options' => array(
                '1'      => array(
                    'alt' => 'Style1',
                    'img' => get_template_directory_uri() . '/assets/images/backend/bg-1.jpg',
                ),
                '2'      => array(
                    'alt' => 'Style2',
                    'img' => get_template_directory_uri() . '/assets/images/backend/bg-2.jpg',
                ),
                '3'      => array(
                    'alt' => 'Style3',
                    'img' => get_template_directory_uri() . '/assets/images/backend/bg-3.jpg',
                ),
                '4'      => array(
                    'alt' => 'Style4',
                    'img' => get_template_directory_uri() . '/assets/images/backend/bg-4.jpg',
                ),
                '5'      => array(
                    'alt' => 'Style5',
                    'img' => get_template_directory_uri() . '/assets/images/backend/bg-5.jpg',
                ),
            ),
            'default' => '2'
        ),

        array(
            'id'        => 'display_breadcrumbs',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Breadcrumbs on Banner','consultab'),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'       => 'bg_type',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Banner Background Type', 'consultab' ),
            'subtitle' => esc_html__( 'Select this option for Background Type color or image and video.', 'consultab' ),
            'options'  => array(
                '1' => 'Color',
                '2' => 'Image',
                '3' => 'Video'
            ),
            'default'  => '2'
        ),

        array(
            'id'       => 'banner_image',         
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Select Background Image','consultab'),
            'read-only'=> false,
            'required'  => array( 'bg_type', '=', '2' ),
            'subtitle' => esc_html__( 'Upload Image for your body.','consultab'),
            'default'  => array( 'url' => get_template_directory_uri() .'/assets/images/bg.jpg' ),
        ), 

        array(
            'id'            => 'bg_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Select Background Color', 'consultab' ),
            'subtitle'      => esc_html__( 'Choose Background Color', 'consultab' ),
            'required'  => array( 'bg_type', '=', '1' ),
            'default'       =>'#ffffff',
            'mode'          => 'background',
            'transparent'   => false
        ),

        array(
            'id'       => 'bg_video',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Video Source', 'consultab' ),
            'required'  => array( 'bg_type', '=', '3' ),
            'options'  => array(
                '1' => 'Youtube',
                '2' => 'Custom',
            ),
            'default'  => '2'
        ),

        array(
            'id'       => 'bg_youtube',
            'type'     => 'text',
            'title'    => esc_html__( 'Youtube', 'consultab' ),
            'required'  => array( 'bg_video', '=', '1' ),
            'subtitle' => esc_html__( 'Only put youtube video key. Not Put full URL.', 'consultab' ),
            'default'  => esc_html__('kzyFmrFky7Y','consultab' ),
        ),

        array(
            'id'       => 'bg_video_link',
            'type'     => 'text',
            'title'    => esc_html__( 'Your Video Path', 'consultab' ),
            'required'  => array( 'bg_video', '=', '2' ),
            'subtitle' => esc_html__( 'Upload video in media and paste video link over here.', 'consultab' ),
            'default'  => esc_html__('http://localhost/consultab/wordpress/wp-content/uploads/2019/08/SampleVideo.mp4','consultab' ),
        ),

        array(
            'id'       => 'bg_opacity',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Background Opacity Color', 'consultab' ),
            'required' => array( 
                array('bg_type','!=','1') 
            ),
            'subtitle' => esc_html__( 'Select this option for Background Opacity Color.', 'consultab' ),
            'options'  => array(
                '1' => 'None',
                '2' => 'Dark',
                '3' => 'Custom'
            ),
            'default'  => '2'
        ),


        array(
            'id'            => 'opacity_color',
            'type'          => 'color_rgba',
            'title'         => esc_html__( 'Background Gradient Color', 'consultab' ),
            'required'  => array( 'bg_opacity', '=', '3' ),
            'subtitle'      => esc_html__( 'Choose body Gradient background color', 'consultab' ),
            'default'       => 'rgba(2, 13, 30, 0.9)',
            'transparent'   => false
        ),

    )
)); 
?>