<?php
/*
 * blog Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Blog', 'consultab' ),
    'id'    => 'editor',
    'icon'  => 'el el-quotes',
    'customizer_width' => '500px',
) );

Redux::setSection( $opt_name, array(
    'title' => esc_html__('General Blogs','consultab'),
    'id'    => 'blog-section',
    'subsection' => true,
    'desc'  => esc_html__('This section contains options for blog.','consultab'),
    'fields'=> array(

        array(
            'id'        => 'consultab_blog',
            'type'      => 'image_select',
            'title'     => esc_html__( 'Blog page Setting','consultab' ),
            'subtitle'  => wp_kses( __( '<br />Choose among these structures (Right Sidebar, Left Sidebar, 1column, 2column and 3column) for your blog section.<br />To filling these column sections you should go to appearance > widget.<br />And put every widget that you want in these sections.','consultab' ), array( 'br' => array() ) ),            
            'options'   => array(
                                '1' => array( 'title' => esc_html__( 'Right Sidebar','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/right-side.jpg' ), 
                                '2' => array( 'title' => esc_html__( 'Left Sidebar','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/left-side.jpg' ),
                                '3' => array( 'title' => esc_html__( 'One Columns','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/single-column.jpg' ), 
                                '4' => array( 'title' => esc_html__( 'Two Columns','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/two-column.jpg' ), 
                                '5' => array( 'title' => esc_html__( 'Three Columns','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/three-column.jpg' ),                                
                            ),
            'default'   => '1',
        ),

        array(
            'id'        => 'display_effect',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Disable Hover Effect','consultab'),
            'subtitle' => esc_html__( 'Turn on to display the hover effect on blog page and single blog page.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('On','consultab'),
                            'no' => esc_html__('Off','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'        => 'consultab_display_pagination',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Previous/Next Pagination','consultab'),
            'subtitle' => esc_html__( 'Turn on to display the previous/next post pagination for blog page.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('On','consultab'),
                            'no' => esc_html__('Off','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'        => 'consultab_display_image',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Featured Image on Blog Archive Page','consultab'),
            'subtitle' => esc_html__( 'Turn on to display featured images on the blog or archive pages.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('On','consultab'),
                            'no' => esc_html__('Off','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),
    )
    ));

Redux::setSection( $opt_name, array(
    'title'      => esc_html__( 'Blog single Post', 'consultab' ),
    'id'         => 'basic',
    'subsection' => true,
    'fields'     => array(

            array(
                'id'        => 'consultab_blog_type',
                'type'      => 'image_select',
                'title'     => esc_html__( 'Blog single page Setting','consultab' ),
                'subtitle'  => wp_kses( __( '<br />Choose among these structures (Right Sidebar, Left Sidebar and 1column) for your blog section.<br />To filling these column sections you should go to appearance > widget.<br />And put every widget that you want in these sections.','consultab' ), array( 'br' => array() ) ),            
                'options'   => array(
                                    '1' => array( 'title' => esc_html__( 'Right Sidebar','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/right-side.jpg' ),
                                    '2' => array( 'title' => esc_html__( 'Left Sidebar','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/left-side.jpg' ), 
                                    '3' => array( 'title' => esc_html__( 'Full Width','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/single-column.jpg' ),                                
                                ),
                'default'   => '1',
            ),

            array(
                'id'        => 'display_pre_next',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Next/Previous','consultab'),
                'subtitle' => esc_html__( 'Turn on to display next/previous pagination on single blog page.','consultab'),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('no','consultab')
            ),

            array(
                'id'        => 'display_tag',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Tag','consultab'),
                'subtitle' => esc_html__( 'Turn on to display tag on single blog page.','consultab'),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('yes','consultab')
            ),

            array(
                'id'        => 'consultab_display_comment',
                'type'      => 'button_set',
                'title'     => esc_html__( 'Comments','consultab'),
                'subtitle' => esc_html__( 'Turn on to display comments.','consultab'),
                'options'   => array(
                                'yes' => esc_html__('On','consultab'),
                                'no' => esc_html__('Off','consultab')
                            ),
                'default'   => esc_html__('yes','consultab')
            ),

        )) 
    );

   
?>