<?php
/*
 * Color Options
 */
//global $opt_name;

Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Color Attribute','consultab' ),
    'id'    => 'color-section',
    'icon'  => 'el el-brush',
    'desc'  => esc_html__('This section change the site default color.','consultab'),
    'fields'=> array(

        array(
            'id'       => 'consultab_color',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Color Scheme', 'consultab' ),
            'options'  => array(
                '1' => 'Default',
                '2' => 'Custom'
            ),
            'default'  => '1'
        ),

        array(
        'id'    => 'info_warning',
        'type'  => 'info',
        'title' => __('Site Color Options', 'consultab'),
        'style' => 'info',
        
        'desc'  => __('Site Uses Below Colors Replace With Your Color', 'consultab'),
        'required'  => array( 'consultab_color', '=', '2' ),
        ),

    	array(
            'id'            => 'primary_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Primary Color', 'consultab' ),
            'subtitle'      => esc_html__( 'Choose primary color for main theme color and main background color.', 'consultab' ),
            'default'       =>'#19beec',
            'mode'          => 'background',
            'required'  => array( 'consultab_color', '=', '2' ),
            'transparent'   => false
        ),

        array(
            'id'            => 'secondary_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Secondary Color', 'consultab' ),
            'subtitle'      => esc_html__( 'Choose secondary color for dark title and background.', 'consultab' ),
            'default'       =>'#142c4b',
            'mode'          => 'background',
            'required'  => array( 'consultab_color', '=', '2' ),
            'transparent'   => false
        ),

        array(
            'id'            => 'tertiary_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Tertiary Color', 'consultab' ),
            'subtitle'      => esc_html__( 'Choose tertiary color for description color and border colors', 'consultab' ),
            'default'       =>'#6f6f6f',
            'mode'          => 'background',
            'required'  => array( 'consultab_color', '=', '2' ),
            'transparent'   => false
        ),

         array(
            'id'            => 'white_color',
            'type'          => 'color',
            'title'         => esc_html__( 'White Color', 'consultab' ),
            'subtitle'      => esc_html__( 'Replace with Your Color', 'consultab' ),
            'default'       =>'#ffffff',
            'mode'          => 'background',
            'required'  => array( 'consultab_color', '=', '2' ),
            'transparent'   => false
        ),

         array(
            'id'            => 'gradient_color',
            'type'          => 'color_rgba',
            'title'         => esc_html__( 'Gradient Color', 'consultab' ),
            'subtitle'      => esc_html__( 'Replace with Your Color', 'consultab' ),
            
            'mode'          => 'background',
            'required'  => array( 'consultab_color', '=', '2' ),
            'transparent'   => false
        ), 
       
    )
));
?>