<?php
/*
 * Footer Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Footer', 'consultab' ),
    'id'    => 'footer-editor',
    'icon'  => 'el el-arrow-down',
    'customizer_width' => '500px',
) );

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Footer Image','consultab'),
    'id'    => 'footer-logo',
    'subsection' => true,
    
    'fields'=> array(

        array(
            'id'        => 'display_footer',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Footer Background Image','consultab'),
            'subtitle' => esc_html__( 'Display Footer Background Image On All page', 'consultab' ),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('no','consultab')
        ),
        
        array(
            'id'       => 'footer_image',         
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Footer Background Image','consultab'),
            'required'  => array( 'display_footer', '=', 'yes' ),
            'read-only'=> false,
            'subtitle' => esc_html__( 'Upload Footer image for your Website.','consultab'),
            'default'  => array( 'url' => get_template_directory_uri() .'/assets/images/footer-img.jpg' ),
        ), 

        array(
            'id'        => 'consultab_footer_effect',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Effect On Footer Image','consultab'),
            'subtitle' => esc_html__( 'Turn on to Display Effect On Footer Image', 'consultab' ),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('no','consultab')
        ),

        array(
            'id'        => 'change_footer_color',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Change Footer Color','consultab'),
            'subtitle' => esc_html__( 'Turn on to Change Footer Background Color', 'consultab' ),
            'options'   => array(
                            '0' => esc_html__('Yes','consultab'),
                            '1' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('1','consultab')
        ),

        array(
            'id'            => 'footer_color',
            'type'          => 'color_rgba',
            'title'         => esc_html__( 'Footer Color', 'consultab' ),
            'required'  => array( 'change_footer_color', '=', '0' ),
            'subtitle'      => esc_html__( 'Choose Footer Background Color', 'consultab' ),
            'default'       => 'rgba(2, 13, 30, 0.9)',
            'transparent'   => false
        ),

    )
));  

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Footer Option','consultab'),
    'id'    => 'footer-section',
    'subsection' => true,
    
    'fields'=> array(

        array(
            'id'        => 'consultab_footer_top',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Footer','consultab'),
            'subtitle' => esc_html__( 'Display Footer On All page', 'consultab' ),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),
        
        array(
            'id'        => 'consultab_footer_width',
            'type'      => 'image_select',
            'title'     => esc_html__( 'Footer Layout Type','consultab' ),
            'required'  => array( 'consultab_footer_top', '=', 'yes' ),
            'subtitle'  => wp_kses( __( '<br />Choose among these structures (1column, 2column and 3column) for your footer section.<br />To filling these column sections you should go to appearance > widget.<br />And put every widget that you want in these sections.','consultab' ), array( 'br' => array() ) ),            
            'options'   => array(
                                '1' => array( 'title' => esc_html__( 'Footer Layout 1','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/footer_first.png' ),
                                '2' => array( 'title' => esc_html__( 'Footer Layout 2','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/footer_second.png' ),
                                '3' => array( 'title' => esc_html__( 'Footer Layout 3','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/footer_third.png' ),
                                '4' => array( 'title' => esc_html__( 'Footer Layout 4','consultab' ), 'img' => get_template_directory_uri() . '/assets/images/backend/footer_four.png' ),                                   
                            ),
            'default'   => '4',
        ),

        array(
            'id'       => 'footer_one',
            'type'     => 'select',
            'title'    => esc_html__('Select 1 Footer Alignment', 'consultab'), 
            'required'  => array( 'consultab_footer_top', '=', 'yes' ),
            'options'  => array(
                '1' => 'Left',
                '2' => 'Right',
                '3' => 'Center',
            ),
            'default'  => '1',
        ),

        array(
            'id'       => 'footer_two',
            'type'     => 'select',
            'title'    => esc_html__('Select 2 Footer Alignment', 'consultab'), 
            'required'  => array( 'consultab_footer_top', '=', 'yes' ),
            'options'  => array(
                '1' => 'Left',
                '2' => 'Right',
                '3' => 'Center',
            ),
            'default'  => '1',
        ),

        array(
            'id'       => 'footer_three',
            'type'     => 'select',
            'title'    => esc_html__('Select 3 Footer Alignment', 'consultab'), 
            'required'  => array( 'consultab_footer_top', '=', 'yes' ),
            'options'  => array(
                '1' => 'Left',
                '2' => 'Right',
                '3' => 'Center',
            ),
            'default'  => '1',
        ),

        array(
            'id'       => 'footer_fore',
            'type'     => 'select',
            'title'    => esc_html__('Select 4 Footer Alignment', 'consultab'),
            'required'  => array( 'consultab_footer_top', '=', 'yes' ), 
            'options'  => array(
                '1' => 'Left',
                '2' => 'Right',
                '3' => 'Center',
            ),
            'default'  => '1',
        ),
    )
));

Redux::setSection( $opt_name, array(
    'title'      => esc_html__( 'Footer Copyright', 'consultab' ),
    'id'         => 'footer-copyright',
    'subsection' => true,
    'fields'     => array(

        array(
            'id'        => 'display_copyright',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Footer Top','consultab'),
            'subtitle' => esc_html__( 'Display Footer Top On All page', 'consultab' ),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'        => 'footer_copyright',
            'type'      => 'editor',
            'required'  => array( 'display_copyright', '=', 'yes' ),
            'title'     => esc_html__( 'Copyright Text','consultab'),
            'default'   => esc_html__( 'Copyright 2019 consultab All Rights Reserved.','consultab'),
        ),

    )) 
);