<?php
/*
 * Header Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'General', 'consultab' ),
    'id'    => 'editer-general',
    'icon'  => 'el el-dashboard',
    'customizer_width' => '500px',
) );

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Body Layout','consultab'),
    'id'    => 'layout-section',
    'icon'  => 'el el-website',
    'subsection' => true,
    'fields'=> array(


        array(
            'id'       => 'layout_set',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Body Set Option', 'consultab' ),
            'subtitle' => esc_html__( 'Select this option for body color or image of the theme.', 'consultab' ),
            'options'  => array(
                '1' => 'Color',
                '2' => 'Default',
                '3' => 'Image'
            ),
            'default'  => '2'
        ),

        array(
            'id'       => 'consultab_layout_image',         
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Set Body Image','consultab'),
            'read-only'=> false,
            'required'  => array( 'layout_set', '=', '3' ),
            'subtitle' => esc_html__( 'Upload Image for your body.','consultab'),
        ), 

        array(
            'id'            => 'consultab_layout_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Set Body Color', 'consultab' ),
            'subtitle'      => esc_html__( 'Choose Body Color', 'consultab' ),
            'required'  => array( 'layout_set', '=', '1' ),
            'default'       =>'#ffffff',
            'mode'          => 'background',
            'transparent'   => false
        ),

    )
));


Redux::setSection( $opt_name, array(
    'title' => esc_html__('Back to Top','consultab'),
    'id'    => 'header-general',
    'icon'  => 'el el-circle-arrow-up',
    'subsection' => true,
    
    'fields'=> array(

        array(
            'id'        => 'consultab_back_to_top',
            'type'      => 'button_set',
            'title'     => esc_html__( '"Back to top" Button','consultab'),
            'subtitle' => esc_html__( 'Turn on to show "Back to top" button.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

    )
));

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Sticky Header','consultab'),
    'id'    => 'header-sticky',
    'icon'  => 'el el-align-justify',
    'subsection' => true,
    
    'fields'=> array(

        array(
            'id'        => 'consultab_header_sticky',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Sticky Header','consultab'),
            'subtitle' => esc_html__( 'ON/OFF Sticky Header.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

    )
));

Redux::setSection( $opt_name, array(
    'title' => esc_html__('Favicon','consultab'),
    'id'    => 'header-fevicon',
    'icon'  => 'el el-ok',
    'subsection' => true,
    
    'fields'=> array(
        array(
            'id'       => 'consultab_fevicon',
            'type'     => 'media',
            'url'      => false,
            'title'    => esc_html__( 'Favicon','consultab'),
            'default'  => array( 'url' => get_template_directory_uri() .'/assets/images/favicon.ico' ),
            'subtitle' => esc_html__( 'Upload .ico File For Favicon Icon','consultab'),
        ),
    )
)); 
?>