<?php
/*
 * Header Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Header', 'consultab' ),
    'id'    => 'header-editor',
    'icon'  => 'el el-arrow-up',
    'customizer_width' => '500px',
) );  
   
Redux::setSection( $opt_name, array(
    'title' => esc_html__('Menu Layout','consultab'),
    'id'    => 'header-variation',
    'subsection' => true,
    'desc'  => esc_html__('This section contains options for Menu .','consultab'),
    'fields'=> array(
             
        array(
            'id'      => 'consultab_header_variation',
            'type'    => 'image_select',
            'title'   => esc_html__( 'Menu Style', 'consultab' ),
            'subtitle' => esc_html__( 'Select the design variation that you want to use for site menu.', 'consultab' ),
            'options' => array(
                '1'      => array(
                    'alt' => 'Style1',
                    'img' => get_template_directory_uri() . '/assets/images/backend/header-1.jpg',
                ),
                '2'      => array(
                    'alt' => 'Style2',
                    'img' => get_template_directory_uri() . '/assets/images/backend/header-2.jpg',
                ),
                '3'      => array(
                    'alt' => 'Style3',
                    'img' => get_template_directory_uri() . '/assets/images/backend/header-3.jpg',
                ),
                                
            ),
            'default' => '1'
        ),

    )
));

Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Header Top', 'consultab' ),
    'id'    => 'Header_Contact',
    'subsection' => true,
    'desc'  => esc_html__( '', 'consultab' ),
    'fields'  => array(

        array(
            'id'        => 'email_and_button',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Display Header Top','consultab'),
            'subtitle' => esc_html__( 'Turn on to display the Email and Phone, Login and Button on header menu.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('On','consultab'),
                            'no' => esc_html__('Off','consultab')
                        ),
            'default'   => esc_html__('no','consultab')
        ),
        
        array(
            'id'       => 'header_phone',
            'type'     => 'text',
            'title'    => esc_html__( 'Phone', 'consultab' ),            
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'preg' => array(
                'pattern' => '/[^0-9_ -+()]/s', 
                'replacement' => ''
            ),
            'default'  => esc_html__('+0123456789','consultab'),
        ),

        array(
            'id'        => 'header_phone_title',
            'type'      => 'text',
            'title'     => esc_html__( 'Phone Title','consultab'),
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'default'   => 'Free Consulting',
        ),
        
        array(
            'id'       => 'header_email',
            'type'     => 'text',
            'title'    => esc_html__( 'Email', 'consultab' ),            
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'validate' => 'email',
            'msg'      => esc_html__('custom error message','consultab'),
            'default'  => esc_html__('support@iqnonicthemes.com','consultab'),
        ),

        array(
            'id'        => 'header_email_title',
            'type'      => 'text',
            'title'     => esc_html__( 'Email Title','consultab'),
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'default'   => 'Mail us',
        ),

        array(
            'id'       => 'header_address',
            'type'     => 'textarea',
            'title'    => esc_html__( 'Address', 'consultab' ),
            'required'  => array( 'email_and_button', '=', 'yes' ),            
            'default'  => esc_html__('1234 North Avenue Luke Lane, South Bend, IN 360001','consultab' ),
        ),

        array(
            'id'        => 'consultab_download_title',
            'type'      => 'text',
            'title'     => esc_html__( 'Button Title','consultab'),
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'default'   => 'Free Consulting',
            'desc'   => esc_html__('Change Title (e.g.Download).','consultab'),
        ),

        array(
            'id'        => 'consultab_download_link',
            'type'      => 'text',
            'title'     => esc_html__( 'Button Link','consultab'),
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'desc'   => esc_html__('Add download link.','consultab'),
        ),

        array(
            'id'        => 'header_display_contact',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Email/Phone on Header','consultab'),
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'subtitle' => esc_html__( 'Turn on to display the Email and Phone number in header menu.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('On','consultab'),
                            'no' => esc_html__('Off','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'        => 'header_display_button',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Login/CTA Button','consultab'),
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'subtitle' => esc_html__( 'Turn on to display the Login and CTA button in top header.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('On','consultab'),
                            'no' => esc_html__('Off','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'        => 'header_display_search',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Search','consultab'),
            'required'  => array( 'email_and_button', '=', 'yes' ),
            'subtitle' => esc_html__( 'Turn on to display the Search.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('On','consultab'),
                            'no' => esc_html__('Off','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),
                    
    )
    
) );

Redux::setSection( $opt_name, array(
    'title'            => esc_html__( 'Header Social Media', 'consultab' ),
    'id'               => 'header_social_link',
    'subsection'       => true,
    'fields'           => array(

        array(
            'id'        => 'consultab_header_social_media',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Social Media','consultab'),
            'subtitle' => esc_html__( 'Turn on to display Social Media in top header.','consultab'),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'       => 'header-social-media-iq',
            'type'     => 'sortable',
            'title'    => esc_html__('Social Media Option', 'consultab'),
            'required'  => array( 'consultab_header_social_media', '=', 'yes' ),
            'subtitle' => esc_html__('Enter social media url.', 'consultab'),
            'mode'     => 'text',
			'label'    => true,
            'options'  => array(
				'facebook-f'     => '',
				'twitter'        => '',
				'google-plus-g'  => '',
                'github'      	 => '',
				'instagram'      => '',
                'linkedin'       => '',
                'tumblr'         => '',
                'pinterest'      => '',
                'dribbble'       => '',
                'reddit'         => '',
                'flickr'         => '',
                'skype'          => '',
                'youtube-play'   => '',
                'vimeo'          => '',
                'soundcloud'     => '',
                'wechat'         => '',
                'renren'         => '',
                'weibo'          => '',
                'xing'           => '',
                'qq'             => '',
                'rss'            => '',
                'vk'             => '',
                'behance'        => '',
                'snapchat'       => '',
            ),           
        ),
    ),
) );