<?php
/*
 * Header Options
 */
$opt_name;
Redux::setSection( $opt_name, array(
    'title' => esc_html__('Loader','consultab'),
    'id'    => 'header-loader',
    'icon'  => 'el el-refresh',
    'desc'  => esc_html__('This section contains options for loader.','consultab'),
    'fields'=> array(

        array(
            'id'        => 'consultab_display_loader',
            'type'      => 'button_set',
            'title'     => esc_html__( 'Consultab Loader','consultab'),
            'subtitle' => esc_html__('Turn on to show the icon/images loading animation before view site', 'consultab'),
            'options'   => array(
                            'yes' => esc_html__('Yes','consultab'),
                            'no' => esc_html__('No','consultab')
                        ),
            'default'   => esc_html__('yes','consultab')
        ),

        array(
            'id'            => 'loader_color',
            'type'          => 'color',
            'title'         => esc_html__( 'Loader Background Color', 'consultab' ),
            'required'  => array( 'consultab_display_loader', '=', 'yes' ),
            'subtitle'      => esc_html__( 'Choose Loader Background Color', 'consultab' ),
            'default'       => '#ffffff',
            'transparent'   => false
        ),

        array(
            'id'       => 'loader_set',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Loader Option', 'consultab' ),
            'required'  => array( 'consultab_display_loader', '=', 'yes' ),
            'subtitle' => esc_html__( 'Select this option for Loader color or image of the theme.', 'consultab' ),
            'options'  => array(
                '1' => 'Custom',
                '2' => 'Preloader Image'
            ),
            'default'  => '1'
        ),

        array(
            'id'        => 'loader_image',
            'type'      => 'image_select',
            'title'     => esc_html__( 'Loader Type','consultab' ),
            'required' => array( 
                 array('loader_set','!=','1') 
             ),
                      
            'options'   => array(
                                '1' => array( 'img' => get_template_directory_uri() . '/assets/images/loader/loader.gif' ),
                                '2' => array( 'img' => get_template_directory_uri() . '/assets/images/loader/loader2.gif' ),
                                '3' => array( 'img' => get_template_directory_uri() . '/assets/images/loader/loader3.gif' ),
                         
                            ),
            'default'   => '4',
        ),
        
        array(
            'id'       => 'consultab_loader_gif',         
            'type'     => 'media',
            'url'      => true,
            'title'    => esc_html__( 'Add GIF image for loader','consultab'),
            'read-only'=> false,
            'required' => array( 
                array('loader_set','!=','2') 
            ),
            'default'  => array( 'url' => get_template_directory_uri() .'/assets/images/lodar.png' ),
            'subtitle' => esc_html__( 'Upload Loader GIF image for your Website.','consultab'),
        ),

        array(
            'id'             => 'loader-dimensions',
            'type'           => 'dimensions',
            'units'          => array( 'em', 'px', '%' ),    
            'units_extended' => 'true',  
            'required' => array( 
                array('loader_set','!=','2') 
            ),
            'title'          => esc_html__( 'Loader (Width/Height) Option', 'consultab' ),
            'subtitle'       => esc_html__( 'Allow your users to choose width, height, and/or unit.', 'consultab' ),
            'desc'           => esc_html__( 'You can enable or disable any piece of this field. Width, Height, or Units.', 'consultab' ),
        ),
      
    )
));
?>