<?php
/*
 * Styles Options
 */
//global $opt_name;

Redux::setSection( $opt_name, array(
    'title' => esc_html__( 'Typography','consultab' ),
    'id'    => 'default-style-section',
    'icon'  => 'el el-text-width',
    'desc'  => esc_html__('This section contains typography related options.','consultab'),
    'fields'=> array(

    	array(
                'id'        => 'consultab_change_font',
                'type'      => 'switch',
                'title'     => esc_html__( 'Do you want to change fonts?','consultab' ),
                'default'   => esc_html__( '0','consultab' ),
                'on'    	=> esc_html__( 'Yes','consultab' ),
                'off'   	=> esc_html__( 'No','consultab' )
        ),

    	array(
                'id'        => 'body_font',
                'type'      => 'typography',
                'title'     => esc_html__( 'Body Font','consultab' ),
                'subtitle'  => esc_html__( 'Select the font.','consultab' ),
                'desc'      => esc_html__( 'Poppins is default font.','consultab' ),
                'required'  => array( 'consultab_change_font', '=', '1' ),
                'google'    => true,
                'font-style'    => true,
                'font-weight'   => true,
                'font-size'     => true,
                'line-height'   => false,
                'color'         => false,
                'text-align'    => false,            
                'default'       => array(
                    'font-family' => esc_html__( 'Poppins','consultab' ),
                    'google'      => true
                )
        ),

        array(
                'id'        => 'primary_menu',
                'type'      => 'typography',
                'title'     => esc_html__( 'Primary Menu','consultab' ),
                'subtitle'  => esc_html__( 'Select the font.','consultab' ),
                'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
                'required'  => array( 'consultab_change_font', '=', '1' ),
                'google'    => true,
                'font-style'    => true,
                'font-weight'   => true,
                'font-size'     => true,
                'line-height'   => false,
                'color'         => false,
                'text-align'    => false,            
                'default'       => array(
                    'font-family' => esc_html__( 'PT+Sans','consultab' ),
                    'google'      => true
                )
        ),
        array(
            'id'        => 'sub_menu',
            'type'      => 'typography',
            'title'     => esc_html__( 'Submenu Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),

        array(
            'id'        => 'h2_font',
            'type'      => 'typography',
            'title'     => esc_html__( 'H2 Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),
        array(
            'id'        => 'h3_font',
            'type'      => 'typography',
            'title'     => esc_html__( 'H3 Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),
        array(
            'id'        => 'h4_font',
            'type'      => 'typography',
            'title'     => esc_html__( 'H4 Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),
        array(
            'id'        => 'h5_font',
            'type'      => 'typography',
            'title'     => esc_html__( 'H5 Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),
        array(
            'id'        => 'h6_font',
            'type'      => 'typography',
            'title'     => esc_html__( 'H6 Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),
        array(
            'id'        => 'page_title_font',
            'type'      => 'typography',
            'title'     => esc_html__( 'Page Title Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),
        array(
            'id'        => 'page_desc_font',
            'type'      => 'typography',
            'title'     => esc_html__( 'Page Description Font','consultab' ),
            'subtitle'  => esc_html__( 'Select the font.','consultab' ),
            'desc'      => esc_html__( 'PT+Sans is default font.','consultab' ),
            'required'  => array( 'consultab_change_font', '=', '1' ),
            'google'    => true,
            'font-style'    => true,
            'font-weight'   => true,
            'font-size'     => true,
            'line-height'   => false,
            'color'         => false,
            'text-align'    => false,            
            'default'       => array(
                'font-family' => esc_html__( 'PT+Sans','consultab' ),
                'google'      => true
            )
        ),
    )
));
?>