<?php
add_filter( 'rwmb_meta_boxes', 'consultab_meta_boxes' );
function consultab_meta_boxes( $meta_boxes ) {	

	// Team Member Details In Class
	$meta_boxes[] = array(
		'title'			=> esc_html__( 'Team Member Details','consultab' ),
		'post_types'	=> 'consultabteam',
		'fields'		=> array(
					
			array(
				'id'		=> 'consultab_team_designation',
				'name'		=> esc_html__( 'Trainer Designation :','consultab' ),				
				'type'		=> 'text'				
			),
			array(
				'type'	=>'divider',
			),
			array(
				'id'		=> 'consultab_team_facebook',
				'name'		=> esc_html__( 'Facebook Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_team_twitter',
				'name'		=> esc_html__( 'Twitter Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_team_google',
				'name'		=> esc_html__( 'Google Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_team_github',
				'name'		=> esc_html__( 'Github Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_team_insta',
				'name'		=> esc_html__( 'Instagram Url :','consultab' ),				
				'type'		=> 'text'
			),
			
		),
	);

	// Testimonial Member Details In Class
	$meta_boxes[] = array(
		'title'			=> esc_html__( 'Testimonial Member Details','consultab' ),
		'post_types'	=> 'testimonial',
		'fields'		=> array(
					
			array(
				'id'		=> 'consultab_testimonial_designation',
				'name'		=> esc_html__( 'Designation :','consultab' ),				
				'type'		=> 'text'				
			),
		),
	);

	// Leader Member Details In Class
	$meta_boxes[] = array(
		'title'			=> esc_html__( 'Leader Member Details','consultab' ),
		'post_types'	=> 'consultleadership',
		'fields'		=> array(
					
			array(
				'id'		=> 'consultab_leader_designation',
				'name'		=> esc_html__( 'Designation :','consultab' ),				
				'type'		=> 'text'				
			),
			array(
				'type'	=>'divider',
			),
			array(
				'id'		=> 'consultab_leader_facebook',
				'name'		=> esc_html__( 'Facebook Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_leader_twitter',
				'name'		=> esc_html__( 'Twitter Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_leader_google',
				'name'		=> esc_html__( 'Google Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_leader_github',
				'name'		=> esc_html__( 'Github Url :','consultab' ),				
				'type'		=> 'text'
			),
			array(
				'id'		=> 'consultab_leader_insta',
				'name'		=> esc_html__( 'Instagram Url :','consultab' ),				
				'type'		=> 'text'
			),

		),
	);

	// Faqs Details In Class
	$meta_boxes[] = array(
		'title'			=> esc_html__( 'Faqs Details','consultab' ),
		'post_types'	=> 'consultabfaqs',
		'fields'		=> array(
					
			array(
				'id'		=> 'faq_button_name',
				'name'		=> esc_html__( 'Faq Button Name :','consultab' ),				
				'type'		=> 'text'				
			),

			array(
				'id'		=> 'faq_button_link',
				'name'		=> esc_html__( 'Faq Button Link :','consultab' ),				
				'type'		=> 'text'				
			),

		),
	);

	// Faqs Details In Class
	$meta_boxes[] = array(
		'title'			=> esc_html__( 'Service Details','consultab' ),
		'post_types'	=> 'service',
		'fields'		=> array(
					
			array(
				'id'		=> 'service_button_name',
				'name'		=> esc_html__( 'Service Button Name :','consultab' ),				
				'type'		=> 'text'				
			),

			array(
				'id'		=> 'service_button_link',
				'name'		=> esc_html__( 'Service Button Link :','consultab' ),				
				'type'		=> 'text'				
			),

			array(
				'id'		=> 'hover_image',
				'name'		=> esc_attr__( 'Hover Image :','consultab' ),				
				'type'		=> 'image_advanced',
				'max_file_uploads' => 1,			
			),

		),
	);

	// Project Details In Class
	$meta_boxes[] = array(
		'title'			=> esc_html__( 'Project Details','consultab' ),
		'post_types'	=> 'consultabproject',
		'fields'		=> array(
					
			array(
				'id'		=> 'project_button',
				'name'		=> esc_html__( 'Button Name :','consultab' ),				
				'type'		=> 'text'				
			),

			array(
				'id'		=> 'project_button_url',
				'name'		=> esc_html__( 'Button Link :','consultab' ),				
				'type'		=> 'text'				
			),
		),
	);
	// Portfolio Member Details In Class
	$meta_boxes[] = array(
		'title'			=> esc_html__( 'Portfolio Project Details','consultab' ),
		'post_types'	=> 'portfolio',
		'fields'		=> array(

			array(
				'id'		=> 'portfolio_masonry_image',
				'name'		=> esc_attr__( 'Portfolio Masonry Image :','consultab' ),				
				'type'		=> 'image_advanced',
				'max_file_uploads' => 1,			
			),
					
			array(
				'id'		=> 'consultab_portfolio_client',
				'name'		=> esc_html__( 'Client Name :','consultab' ),				
				'type'		=> 'text'				
			),
			array(
				'id'		=> 'consultab_portfolio_website',
				'name'		=> esc_html__( 'Website :','consultab' ),				
				'type'		=> 'text'				
			),
			array(
				'id' => 'portfolio_data',
				'type' => 'date',
				'name' => esc_html__( 'Date on:', 'consultab' ),
				'js_options' => array(
				  'dateFormat' => 'dd/mm/yy',
				),
				'class' => 'data-arrivo',
			),

		),
	);
	return $meta_boxes;
}
