<?php
// Counter
vc_map(
	array(
		"name" 			=> esc_html__("Counter", "consultab"),
		"base" 			=> "consultabcounter",
		"description" => esc_html__("Consultab Counter", "consultab"), 
		"category" => esc_html__("Consultab Shortcodes", "consultab"),   
		"icon" 			=> "consultab_Portfolio",
		"params" => array(

            array(
                "heading"       => esc_html__( "Select Style",'consultab' ),
                "type"          => "dropdown",
                "param_name"    => "style_type",
                "value"         => array(
                        "Style 1" => '1',
                        "Style 2" => '2',
                ),
            ),
		
			array(
				"type"			=> "textfield",
				"heading"		=> esc_html__("Title","consultab"),
				"param_name"	=> "counter_title",
				"value"			=> "",
				"description" 	=> esc_html__( "Enter the Title","consultab")
            ),
            
            array(
                "heading"       => esc_html__( "Text Color","consultab" ),
                "type"          => "colorpicker",
                "edit_field_class" => "vc_col-xs-6",
                "param_name"    => "text_color",
                "value"      => "#ffffff",
            ),
            
	        array(
				"type" 			=> "textfield",
				"heading" 		=> esc_html__( "Counter Figure Number","consultab" ),
				"param_name" 	=> "counter_content",
				"description" 	=> esc_html__( "Number Only Accepted.","consultab"),
            ),
            
            array( 
                "type" => "checkbox",
                "holder" => "div",
                "admin_label" => true,
                "heading" => esc_html__( "Disable Plus Icon", "consultab" ),
                "edit_field_class" => "vc_col-xs-4",
                "param_name" => "disble_plus",
                "value"       => array(
                    "disable" => "0",
                ),                     
                "description" => "If selected, plus will disable.",
            ),

            array( 
                "type" => "checkbox",
                "holder" => "div",
                "admin_label" => true,
                "heading" => esc_html__( "Disable Icon", "consultab" ),
                "edit_field_class" => "vc_col-xs-4",
                "param_name" => "disble_icon",
                "value"       => array(
                    "disable" => "0",
                ),                     
                "description" => "If selected, icon will disable.",
            ),

            array( 
                "type" => "checkbox",
                "holder" => "div",
                "admin_label" => true,
                "heading" => esc_html__( "Icon Top", "consultab" ),
                "edit_field_class" => "vc_col-xs-4",
                "param_name" => "icon_top",
                "value"       => array(
                    "disable" => "0",
                ),                     
                "description" => "If selected, icon will disable.",
            ),

			array(
                "type" => "dropdown",
                "heading" => esc_html__( "Select Type", "consultab" ),
                "value" => array(
                    esc_html__( "Icon", "consultab" ) => "iq-icon",
                    esc_html__( "Image", "consultab" ) => "iq-image",
                ),
                "admin_label" => true,
                "param_name" => "icon_type",
                "description" => esc_html__( "Select icon Type.", "consultab" ),
            ),

			array(
                "type" => "dropdown",
                "heading" => esc_html__( "Icon library", "consultab" ),
                "value" => array(
                    esc_html__( "Font Awesome", "consultab" ) => "fontawesome",
                    esc_html__( "Open Iconic", "consultab" ) => "openiconic",
                    esc_html__( "Typicons", "consultab" ) => "typicons",
                    esc_html__( "Entypo", "consultab" ) => "entypo",
                    esc_html__( "Linecons", "consultab" ) => "linecons",
                    esc_html__( "Ionicons", "consultab" ) => "Ionicons",
                    esc_html__( "Flaticon", "consultab" ) => "flaticon",
                   
                ),
                "admin_label" => true,
                "param_name" => "type",
                "description" => esc_html__( "Select icon library.", "consultab" ),
                "group" => esc_html__( "Icon", "consultab" ),
                "dependency" => array(
                    "element" => "icon_type",
                    "value" => "iq-icon",
                ),
            ),

             array(
                    "type" => "iconpicker",
                    "heading" => esc_html__( "Icon", "consultab" ),
                    "param_name" => "fontawesome",
                    "value" => "fa fa-adjust", // default value to backend editor admin_label
                    "settings" => array(
                        "emptyIcon" => false,
                        // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 100,
                        // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    "group" => esc_html__( "Icon", "consultab" ),
                    "dependency" => array(
                        "element" => "type",
                        "value" => "fontawesome",
                    ),
                    "description" => esc_html__( "Select icon from library.", "consultab" ),
                ),
                array(
                    "type" => "iconpicker",
                    "heading" => esc_html__( "Icon", "consultab" ),
                    "param_name" => "openiconic",
                    "value" => "vc-oi vc-oi-dial", // default value to backend editor admin_label
                    "settings" => array(
                        "emptyIcon" => false, // default true, display an "EMPTY" icon?
                        "type" => "openiconic",
                        'iconsPerPage' => 100, // default 100, how many icons per/page to display
                    ),
                    "group" => esc_html__( "Icon", "consultab" ),
                    "dependency" => array(
                        "element" => "type",
                        "value" => "openiconic",
                    ),
                    "description" => esc_html__( "Select icon from library.", "consultab" ),
                ),
                array(
                    "type" => "iconpicker",
                    "heading" => esc_html__( "Icon", "consultab" ),
                    "param_name" => "typicons",
                    "value" => "typcn typcn-adjust-brightness", // default value to backend editor admin_label
                    "settings" => array(
                        "emptyIcon" => false, // default true, display an "EMPTY" icon?
                        "type" => "typicons",
                        'iconsPerPage' => 100, // default 100, how many icons per/page to display
                    ),
                    "group" => esc_html__( "Icon", "consultab" ),
                    "dependency" => array(
                        "element" => "type",
                        "value" => "typicons",
                    ),
                    "description" => esc_html__( "Select icon from library.", "consultab" ),
                ),
                array(
                    "type" => "iconpicker",
                    "heading" => esc_html__( "Icon", "consultab" ),
                    "param_name" => "entypo",
                    "value" => "entypo-icon entypo-icon-note", // default value to backend editor admin_label
                    "settings" => array(
                        "emptyIcon" => false, // default true, display an "EMPTY" icon?
                        "type" => "entypo",
                        'iconsPerPage' => 100, // default 100, how many icons per/page to display
                    ),
                    "group" => esc_html__( "Icon", "consultab" ),
                    "dependency" => array(
                        "element" => "type",
                        "value" => "entypo",
                    ),
                ),
                array(
                    "type" => "iconpicker",
                    "heading" => esc_html__( "Icon", "consultab" ),
                    "param_name" => "linecons",
                    "value" => "vc_li vc_li-heart", // default value to backend editor admin_label
                    "settings" => array(
                        "emptyIcon" => false, // default true, display an "EMPTY" icon?
                        "type" => "linecons",
                        'iconsPerPage' => 100, // default 100, how many icons per/page to display
                    ),
                    "group" => esc_html__( "Icon", "consultab" ),
                    "dependency" => array(
                        "element" => "type",
                        "value" => "linecons",
                    ),
                    "description" => esc_html__( "Select icon from library.", "consultab" ),
                ),
                array(
                    "type" => "iconpicker",
                    "heading" => esc_html__( "Icon", "consultab" ),
                    "param_name" => "ionicons",
                    "settings" => array(
                        "emptyIcon" => false, // default true, display an "EMPTY" icon?
                        "type" => "Ionicons",
                        'iconsPerPage' => 100, // default 100, how many icons per/page to display
                    ),
                    "group" => esc_html__( "Icon", "consultab" ),
                    "dependency" => array(
                        "element" => "type",
                        "value" => "Ionicons",
                    ),
                ),

                array(
                    "type" => "iconpicker",
                    "heading" => esc_html__( "Icon", "consultab" ),
                    "param_name" => "flaticon",
                    
                    "settings" => array(
                        "emptyIcon" => false, // default true, display an "EMPTY" icon?
                        "type" => "flaticon",
                        'iconsPerPage' => 100, // default 100, how many icons per/page to display
                    ),
                    "group" => esc_html__( "Icon", "consultab" ),
                    "dependency" => array(
                        "element" => "type",
                        "value" => "flaticon",
                
                    ),
                    "description" => esc_html__( "Select icon from library.", "consultab" ),
                ), 

                array(
                    "type"        => "attach_image",
                    "heading"     => esc_html__( "Image", "consultab" ),
                    "param_name"  => "image",
                    "description" => "Select image/icon from library.",
                    "group" => esc_html__( "Image", "consultab" ),
                    "dependency"  => array
                                        (
                                        "element"  => "icon_type",
                                        "value" => "iq-image" ,
                                        ),
                ),

                array(
                    "type"        => "textfield",
                    "heading"     => esc_html__( "Extra class name","consultab" ),
                    "param_name"  => "extra_class",
                    "description" => esc_html__( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.","consultab" ),
                    "group" => esc_html__( "Extra class", "consultab" ),
                ),

                array(
                    "type" => "css_editor",
                    "heading" => esc_html__( "Css", "consultab" ),
                    "param_name" => "css",
                    "group" => esc_html__( "Design options", "consultab" ),
                ),

						      
		),
	)
);
