<?php
// Fancylist
vc_map(
    array(
        "name"          => esc_html__('Fancy List','consultab' ),
        "base"          => 'consulfancyList',
        "description"   => esc_html__( 'Consultab Fancy List','consultab' ),
        "category"      => esc_html__( 'Consultab Shortcodes','consultab' ),
        "icon"          => "icon-wpb-consultabtitle",
        "params" => array(

            array(
                "heading"       => esc_html__( "Title",'consultab' ),
                "description"   => esc_html__( "Enter the title",'consultab'),
                "type"          => "textfield",
                "param_name"    => "consultabtitle_content",
            ),

            array(
                "heading"       => esc_html__( "Element Tag",'consultab' ),
                "description"   => wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
                "type"          => "dropdown",
                "param_name"    => "tag",
                'edit_field_class' => 'vc_col-xs-6',
                "value" => array(
                                "1" => 'h2',
                                "2" => 'h3',
                                "3" => 'h4',
                                "4" => 'h5',
                                "5" => 'h6',
                            ),
            ),

            array(
                "heading"       => esc_html__( "Alignment",'consultab' ),
                "description"   => wp_kses( __( "Alignment of the title text.",'consultab'), array( 'br' => array() ) ),
                "type"          => "dropdown",
                "param_name"    => "position",
                'edit_field_class' => 'vc_col-xs-6',
                "value" => array(
                                "Left" =>  'left',
                                "Center" => 'center',
                                "Right" => 'right',
                            ),
            ),
            
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Extra class name','consultab' ),
                'param_name'  => 'extra_class',
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
                'group' => esc_html__( 'Extra class', 'consultab' ),
            ),
            
            array(
                'type' => 'css_editor',
                'heading' => __( 'Css', 'consultab' ),
                'param_name' => 'css',
                'group' => __( 'Design options', 'consultab' ),
            ),

            array(
            'heading'       => esc_html__( 'Add List', 'consultab' ),
            'description'   => esc_html__( 'Enter Your List Data.', 'consultab' ),
            'type'          => 'param_group',
            'param_name'    => 'features',
            'params' => array(

                    array(
                    "heading"       => esc_html__( "Text",'consultab' ),
                    "description"   => esc_html__( "Enter the Text",'consultab'),
                    "type"          => "textarea",
                    "param_name"    => "consultabsubtitle_content",
                    "value"         => esc_html__( "Simply dummy text of the Lorem Ipsum is printing and type setting industry.","consultab" ),
                    ),

                    array(
                        "heading"       => esc_html__( "Text Color","consultab" ),
                        "type"          => "colorpicker",
                        "group" => esc_html__( "Color", "consultab" ),
                        "edit_field_class" => "vc_col-xs-6",
                        "param_name"    => "text_color",
                        "value"      => "#000",
                    ),
                    
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__( 'Icon library', 'consultab' ),
                        'value' => array(
                            esc_html__( 'Font Awesome', 'consultab' ) => 'fontawesome',
                            esc_html__( 'Open Iconic', 'consultab' ) => 'openiconic',
                            esc_html__( 'Typicons', 'consultab' ) => 'typicons',
                            esc_html__( 'Entypo', 'consultab' ) => 'entypo',
                            esc_html__( 'Linecons', 'consultab' ) => 'linecons',
                            esc_html__( 'Ionicons', 'consultab' ) => 'Ionicons',
                           
                        ),
                        'param_name' => 'type',
                        'description' => esc_html__( 'Select icon library.', 'consultab' ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'icon_type',
                            'value' => 'iq-icon',
                        ),
                    ),
                    
                array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'fontawesome',
                        'value' => 'fa fa-adjust', 
                        'settings' => array(
                            'emptyIcon' => false,
                            'iconsPerPage' => 100,
                        ),
                        "edit_field_class" => "vc_col-xs-6",
                        'group' => esc_html__( 'Icon', 'consultab' ),
                       
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'openiconic',
                        'value' => 'vc-oi vc-oi-dial', 
                        'settings' => array(
                            'emptyIcon' => false, 
                            'type' => 'openiconic',
                            'iconsPerPage' => 100, 
                        ),
                        "edit_field_class" => "vc_col-xs-6",
                        'group' => esc_html__( 'Icon', 'consultab' ),
                       
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'typicons',
                        'value' => 'typcn typcn-adjust-brightness', 
                        "edit_field_class" => "vc_col-xs-6",
                        'settings' => array(
                            'emptyIcon' => false, 
                            'type' => 'typicons',
                            'iconsPerPage' => 100, 
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                       
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'entypo',
                        'value' => 'entypo-icon entypo-icon-note', 
                       "edit_field_class" => "vc_col-xs-6",
                        'settings' => array(
                            'emptyIcon' => false, 
                            'type' => 'entypo',
                            'iconsPerPage' => 100, 
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'description' => esc_html__( 'Select icon library.', 'consultab' ),
                        
                    ),
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'linecons',
                        'value' => 'vc_li vc_li-heart', 
                        'settings' => array(
                            'emptyIcon' => false, 
                            'type' => 'linecons',
                            'iconsPerPage' => 100, 
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        "edit_field_class" => "vc_col-xs-6",
                       
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'ionicons',
                        'settings' => array(
                            'emptyIcon' => false, 
                            'type' => 'Ionicons',
                            'iconsPerPage' => 100, 
                        ),
                        "edit_field_class" => "vc_col-xs-6",
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),



                ),  
            ),
            
                
        ),
    ) 
);
