<?php
     vc_map( 
  
        array(
            "name"          => esc_html__('Featurebox','consultab' ),
            "base"          => 'consultabFeaturebox',
            "description"   => esc_html__( "Consultab Featurebox",'consultab' ),
            "category"      => esc_html__( 'Consultab Shortcodes','consultab' ),
            "icon"          => "icon-wpb-consultabtitle",       
            'params' => array(

                                                                
                array(
                    "heading"       => esc_html__( "Title",'consultab' ),
                    "description"   => esc_html__( "Enter the title",'consultab'),
                    "type"          => "textfield",
                    "param_name"    => "consultabtitle_content",
                    "value"         => esc_html__("Easy to Customize",'consultab' ),
                    ),

                array(
                    "heading" 		=> esc_html__( "Title Element Tag",'consultab' ),
                    "description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
                    "type" 			=> "dropdown",
                    "param_name" 	=> "tag",
		            'edit_field_class' => 'vc_col-xs-6',
                    "value" => array(
                                    "1" => 'h2',
                                    "2" => 'h3',
                                    "3" => 'h4',
                                    "4" => 'h5',
                                    "5" => 'h6',
                                ),
                ),

		

                array(
                    'type'        => 'attach_image',
                    'heading'     => esc_html__( 'Image', 'consultab' ),
                    'param_name'  => 'bg_image',
                    'description' => 'Select image/icon from library.',
                    'group' => esc_html__( 'Featurebox Image', 'consultab' ),
                ),
                
                array(
                "heading"       => esc_html__( "Content",'consultab' ),
                "description"   => esc_html__( "Enter the Content",'consultab'),
                "type"          => "textarea",
                "param_name"    => "consultabsubtitle_content",
                "value"         => esc_html__("It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.",'consultab' ),
                ),

                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Select Type', 'consultab' ),
                    'value' => array(
                        esc_html__( 'Icon', 'consultab' ) => 'iq-icon',
                        esc_html__( 'Image', 'consultab' ) => 'iq-image',
                    ),
                    'admin_label' => true,
                    'param_name' => 'icon_type',
                    'description' => esc_html__( 'Select icon Type.', 'consultab' ),
                ),


                array(
                    'type' => 'dropdown',
                    'heading' => esc_html__( 'Icon library', 'consultab' ),
                    'value' => array(
                        esc_html__( 'Font Awesome', 'consultab' ) => 'fontawesome',
                        esc_html__( 'Open Iconic', 'consultab' ) => 'openiconic',
                        esc_html__( 'Typicons', 'consultab' ) => 'typicons',
                        esc_html__( 'Entypo', 'consultab' ) => 'entypo',
                        esc_html__( 'Linecons', 'consultab' ) => 'linecons',
                        esc_html__( 'Ionicons', 'consultab' ) => 'Ionicons',
                        esc_html__( 'Flaticon', 'consultab' ) => 'flaticon',
                       
                    ),
                    'admin_label' => true,
                    'param_name' => 'type',
                    'description' => esc_html__( 'Select icon library.', 'consultab' ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'icon_type',
                        'value' => 'iq-icon',
                    ),
                ),
                
            array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'consultab' ),
                    'param_name' => 'fontawesome',
                    'value' => 'fa fa-adjust', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false,
                        // default true, display an "EMPTY" icon?
                        'iconsPerPage' => 4000,
                        // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                    ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'type',
                        'value' => 'fontawesome',
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                ),
                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'consultab' ),
                    'param_name' => 'openiconic',
                    'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'type' => 'openiconic',
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                    ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'type',
                        'value' => 'openiconic',
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                ),
                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'consultab' ),
                    'param_name' => 'typicons',
                    'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'type' => 'typicons',
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                    ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'type',
                        'value' => 'typicons',
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                ),
                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'consultab' ),
                    'param_name' => 'entypo',
                    'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'type' => 'entypo',
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                    ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'type',
                        'value' => 'entypo',
                    ),
                ),
                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'consultab' ),
                    'param_name' => 'linecons',
                    'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'type' => 'linecons',
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                    ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'type',
                        'value' => 'linecons',
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                ),
                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'consultab' ),
                    'param_name' => 'ionicons',
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'type' => 'Ionicons',
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                    ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'type',
                        'value' => 'Ionicons',
                    ),
                ),

                array(
                    'type' => 'iconpicker',
                    'heading' => esc_html__( 'Icon', 'consultab' ),
                    'param_name' => 'flaticon',
                    
                    'settings' => array(
                        'emptyIcon' => false, // default true, display an "EMPTY" icon?
                        'type' => 'flaticon',
                        'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                    ),
                    'group' => esc_html__( 'Icon', 'consultab' ),
                    'dependency' => array(
                        'element' => 'type',
                        'value' => 'flaticon',
                
                    ),
                    'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                ), 

                array(
                    'type'        => 'attach_image',
                    'heading'     => esc_html__( 'Image', 'consultab' ),
                    'param_name'  => 'image',
                    'description' => 'Select image/icon from library.',
                    'group' => esc_html__( 'Image', 'consultab' ),
                    "dependency"  =>array(
                        "element"  => "icon_type",
                        "value" => "iq-image" ,
                        ),
                ),

                array(
                "heading"       => esc_html__( "Element Position",'consultab' ),
                "description"   => wp_kses( __( "Select Position of the title text.",'consultab'), array( 'br' => array() ) ),
                "type"          => "dropdown",
                "param_name"    => "position",
                "value" => array(
                            "Left" =>  'left',
                            "Center" => 'center',
                            "Right" => 'right',
                        ),
                ),
                                
               
                array(
                    "type" => "vc_link",
                    "heading" => __( "URL (Link)", "sofbox" ),
                    "param_name" => "link",
                    "description" => __( "Add custom link.", "sofbox" ),
                ),

                array(
                    'type'        => 'textfield',
                    'heading'     => esc_html__( 'Extra class name','consultab' ),
                    'param_name'  => 'extra_class',
                    'group' => esc_html__( 'Extra Class', 'consultab' ),
                    'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' )
                ),
                
            )
        )
    );
