<?php
// Service Slider

vc_map(

    array(
        "name"          => esc_html__('Service Slider','consultab' ),
        "base"          => 'consultabserviceslider',
        "description"   => esc_html__( "Consultab Service Slider",'consultab' ),
        "category"      => esc_html__( 'Consultab Shortcodes','consultab' ),
        "icon"          => "icon-wpb-consultabtitle",       
        'params' => array(

            array(
                "heading"       => esc_html__( "Element Position",'consultab' ),
                "description"   => wp_kses( __( "Select Position of the title text.",'consultab'), array( 'br' => array() ) ),
                "type"          => "dropdown",
                'edit_field_class' => 'vc_col-xs-6',
                "param_name"    => "position",
                "value" => array(
                        "Left" =>  'left',
                        "Center" => 'center',
                        "Right" => 'right',
                ),
            ),

            array(
                "heading" 		=> esc_html__( "Element Tag",'consultab' ),
                "description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
                "type" 			=> "dropdown",
                "param_name" 	=> "tag",
                'edit_field_class' => 'vc_col-xs-6',
                "value" => array(
                        "1" => 'h2',
                        "2" => 'h3',
                        "3" => 'h4',
                        "4" => 'h5',
                        "5" => 'h6',
                ),
            ),

            array( 
                'type' => 'checkbox',
                'holder' => 'div',
                'admin_label' => true,
                'heading' => __( 'Disable Icon', 'consultab' ),
                'edit_field_class' => 'vc_col-xs-6',
                'param_name' => 'disble_icon',
                "value"       => array(
                        "disable" => '0',
                ),                     
                'description' => 'If selected, icon will disable.',
            ),

            array(
                'heading'		=> esc_html__( 'Add List', 'consultab' ),
                'description'	=> esc_html__( 'Enter Your List Data.', 'consultab' ),
                'type'			=> 'param_group',
                'param_name'	=> 'service_slider',
                'params' => array(
                                                
                    array(
                        "heading"       => esc_html__( "Title",'consultab' ),
                        "description"   => esc_html__( "Enter the title",'consultab'),
                        "type"          => "textfield",
                        "param_name"    => "consultabtitle_content",
                        "value"         => esc_html__("Easy to Customize",'consultab' ),
                    ),
                    
                    array(
                        "heading"       => esc_html__( "Content",'consultab' ),
                        "description"   => esc_html__( "Enter the Content",'consultab'),
                        "type"          => "textarea",
                        "param_name"    => "consultabsubtitle_content",
                        "value"         => esc_html__("It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.",'consultab' ),
                    ),

                    array(
                        'type'        => 'attach_image',
                        'heading'     => esc_html__( 'Image', 'consultab' ),
                        'param_name'  => 'image',
                        'description' => 'Select image/icon from library.',
                        'group' => esc_html__( 'Image', 'consultab' ),
                    ),
                                    
                    array(
                        'heading'       => esc_html__( 'Button URL', 'consultab' ),
                        'type'          => 'textfield',
                        'param_name'    => 'pp_btl_url',
                        'group' => esc_html__( 'Icon', 'consultab' ),
                    ),

                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__( 'Icon library', 'consultab' ),
                        'value' => array(
                            esc_html__( 'Font Awesome', 'consultab' ) => 'fontawesome',
                            esc_html__( 'Open Iconic', 'consultab' ) => 'openiconic',
                            esc_html__( 'Typicons', 'consultab' ) => 'typicons',
                            esc_html__( 'Entypo', 'consultab' ) => 'entypo',
                            esc_html__( 'Linecons', 'consultab' ) => 'linecons',
                            esc_html__( 'Ionicons', 'consultab' ) => 'Ionicons',
                            esc_html__( 'Flaticon', 'consultab' ) => 'flaticon',
                        
                        ),
                        'admin_label' => true,
                        'param_name' => 'type',
                        'description' => esc_html__( 'Select icon library.', 'consultab' ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                    ),
                
                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'fontawesome',
                        'value' => 'fa fa-adjust', // default value to backend editor admin_label
                        'settings' => array(
                            'emptyIcon' => false,
                            // default true, display an "EMPTY" icon?
                            'iconsPerPage' => 4000,
                            // default 100, how many icons per/page to display, we use (big number) to display all icons in single page
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'type',
                            'value' => 'fontawesome',
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),

                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'openiconic',
                        'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
                        'settings' => array(
                            'emptyIcon' => false, // default true, display an "EMPTY" icon?
                            'type' => 'openiconic',
                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'type',
                            'value' => 'openiconic',
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),

                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'typicons',
                        'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
                        'settings' => array(
                            'emptyIcon' => false, // default true, display an "EMPTY" icon?
                            'type' => 'typicons',
                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'type',
                            'value' => 'typicons',
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),

                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'entypo',
                        'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
                        'settings' => array(
                            'emptyIcon' => false, // default true, display an "EMPTY" icon?
                            'type' => 'entypo',
                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'type',
                            'value' => 'entypo',
                        ),
                    ),

                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'linecons',
                        'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
                        'settings' => array(
                            'emptyIcon' => false, // default true, display an "EMPTY" icon?
                            'type' => 'linecons',
                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'type',
                            'value' => 'linecons',
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ),

                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'ionicons',
                        'settings' => array(
                            'emptyIcon' => false, // default true, display an "EMPTY" icon?
                            'type' => 'Ionicons',
                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'type',
                            'value' => 'Ionicons',
                        ),
                    ),

                    array(
                        'type' => 'iconpicker',
                        'heading' => esc_html__( 'Icon', 'consultab' ),
                        'param_name' => 'flaticon',
                        
                        'settings' => array(
                            'emptyIcon' => false, // default true, display an "EMPTY" icon?
                            'type' => 'flaticon',
                            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
                        ),
                        'group' => esc_html__( 'Icon', 'consultab' ),
                        'dependency' => array(
                            'element' => 'type',
                            'value' => 'flaticon',
                    
                        ),
                        'description' => esc_html__( 'Select icon from library.', 'consultab' ),
                    ), 

                ),	
            ),

            array(
                "type" 			=> "heading",
                "heading" 		=> esc_html__('Number of Post :', 'consultab' ),
                "param_name" 	=> "desk_number",
                'group' => esc_html__( 'Post Setting', 'consultab' ),
            ),

            array(
                "type" 			=> "textfield",
                "heading" 		=> esc_html__('Desktop view', 'consultab' ),
                "param_name" 	=> "desk_number",
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
            ),

            array(
                "type" 			=> "textfield",
                "heading" 		=> esc_html__('Laptop view', 'consultab' ),
                "param_name" 	=> "lap_number",
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
            ),

            array(
                "type" 			=> "textfield",
                "heading" 		=> esc_html__('Tablet view', 'consultab' ),
                "param_name" 	=> "tab_number",
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
            ),

            array(
                "type" 			=> "textfield",
                "heading" 		=> esc_html__('Mobile view', 'consultab' ),
                "param_name" 	=> "mob_number",
                'edit_field_class' => 'vc_col-xs-3',
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
            ),	

            array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__("Order By", 'consultab'),
                "param_name" 	=> "sortby",
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                'value' 			=> array_flip( array('date' => esc_html__('Date', 'consultab'),'title' => esc_html__('Title', 'consultab') ,'name' => esc_html__('Name', 'consultab') ,'author' => esc_html__('Author', 'consultab'),'comment_count' => esc_html__('Comment Count', 'consultab'),'random' => esc_html__('Random', 'consultab') ) ),			
                "description" 	=> esc_html__("Enter the sorting order.", 'consultab'),
            ),	

            array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__( "Arrow", 'consultab' ),
                "param_name" 	=> "arrow",
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "value" 		=> array(
                                    "True"    => 'true',
                                    "False"   => 'false',
                                ),
            ),

            array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__( "Dots", 'consultab' ),
                "param_name" 	=> "dots",
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "value" 		=> array(
                                "False"   => 'false',
                                "True"    => 'true',
                ),
            ),

            array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__( "Autoplay", 'consultab' ),
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "param_name" 	=> "auto",				
                "value" 		=> array(
                            "True"    => 'true',
                            "False"   => 'false',
                         ),
                    'dependency' => array(
                        'element' => 'style_type',
                        'value' => '2',
                    ),
            ),
                
            array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__( "Loop", 'consultab' ),
                "param_name" 	=> "loop",
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                "value" 		=> array(
                        "True"    => 'true',
                        "False"   => 'false',
                ),
            ),

            array(
                "type" 			=> "dropdown",
                "heading" 		=> esc_html__("Order", 'consultab'),
                "param_name" 	=> "order",
                'group' => esc_html__( 'Post Setting', 'consultab' ),
                'value' 			=> array_flip(array('DESC' => esc_html__('Descending', 'consultab'),'ASC' => esc_html__('Ascending', 'consultab') ) ),			
            ),

            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Extra class name','consultab' ),
                'param_name'  => 'extra_class',
                'group' => esc_html__( 'Extra Class', 'consultab' ),
                'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' )
            ),

            array(
                'type' => 'css_editor',
                'heading' => __( 'Css', 'consultab' ),
                'param_name' => 'css',
                'group' => __( 'Design options', 'consultab' ),
            ),

                
        )
    )
);
