<?php
// Slider
vc_map(array(
    'name' => esc_html__('Slider', 'consultab') ,
    'base' => 'consultabslider',
    'description' => esc_html__('Consultab Slider', 'consultab') ,
    'category' => esc_html__('Consultab Shortcodes', 'consultab') ,
    'icon' => "consultab_team",
    'params' => array(

        array(
            "heading" => esc_html__("Select Image/Video", 'consultab') ,
            "description" => wp_kses(__("Select Image/Video for slider.", 'consultab') , array(
                'br' => array()
            )) ,
            "type" => "dropdown",
            'edit_field_class' => 'vc_col-xs-6',
            "param_name" => "slider_type",
            "value" => array(
                "Default Slider" => '0',
                "Image" => '1',
                "Video" => '2',
            ) ,
        ) ,

        array(
            'type' => 'checkbox',
            'holder' => 'div',
            'admin_label' => true,
            'heading' => __('Disable Hover Effect', 'consultab') ,
            'edit_field_class' => 'vc_col-xs-6',
            'param_name' => 'disble_effect',
            'dependency' => array(
                'element' => 'slider_type',
                'value' => array(
                    '0'
                ) ,
            ) ,
            "value" => array(
                "disable" => '0',
            ) ,
            'description' => 'If selected, hover effect will disable.',
        ) ,

        array(
            "heading" => esc_html__("Alignment", 'consultab') ,
            "description" => wp_kses(__("Select Alignment of the title text.", 'consultab') , array(
                'br' => array()
            )) ,
            "type" => "dropdown",
            "param_name" => "position",
            'edit_field_class' => 'vc_col-xs-6',
            'dependency' => array(
                'element' => 'slider_type',
                'value' => array(
                    '0'
                ) ,
            ) ,
            "value" => array(
                "Left" => 'left',
                "Center" => 'center',
                "Right" => 'right',
            ) ,
        ) ,

        array(
            "heading" => esc_html__("Element Tag", 'consultab') ,
            "description" => wp_kses(__("Select Element Tag of the title text.", 'consultab') , array(
                'br' => array()
            )) ,
            "type" => "dropdown",
            "param_name" => "tag",
            'edit_field_class' => 'vc_col-xs-6',
            'dependency' => array(
                'element' => 'slider_type',
                'value' => array(
                    '0'
                ) ,
            ) ,
            "value" => array(
                "1" => 'h2',
                "2" => 'h3',
                "3" => 'h4',
                "4" => 'h5',
                "5" => 'h6',
            ) ,
        ) ,

        array(
            'heading' => esc_html__('Add List', 'consultab') ,
            'description' => esc_html__('Enter Your List Data.', 'consultab') ,
            'type' => 'param_group',
            'dependency' => array(
                'element' => 'slider_type',
                'value' => array(
                    '0'
                ) ,
            ) ,
            'param_name' => 'slider',
            'params' => array(

                array(
                    "heading" => esc_html__("Title", 'consultab') ,
                    "description" => esc_html__("Enter the title", 'consultab') ,
                    "type" => "textfield",
                    'admin_label' => true,
                    "param_name" => "slider_title",
                    "value" => esc_html__("Easy to Customize", 'consultab') ,
                ) ,

                array(
                    "heading" => esc_html__("Content", 'consultab') ,
                    "description" => esc_html__("Enter the Content", 'consultab') ,
                    "type" => "textarea",
                    "param_name" => "slider_contant",
                    "value" => esc_html__("It is a long established.", 'consultab') ,
                ) ,

                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__('Image', 'consultab') ,
                    'param_name' => 'image',
                    'description' => 'Select image from library.',
                ) ,

                array(
                    'heading' => esc_html__('Button URL', 'consultab') ,
                    'type' => 'textfield',
                    'param_name' => 'slider_btl_url',
                ) ,

            ) ,
        ) ,

        array(
            'heading' => esc_html__('Add List', 'consultab') ,
            'description' => esc_html__('Enter Your List Data.', 'consultab') ,
            'type' => 'param_group',
            'param_name' => 'image_slider',
            'dependency' => array(
                'element' => 'slider_type',
                'value' => array(
                    '1'
                ) ,
            ) ,
            'params' => array(

                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__('Image', 'consultab') ,
                    'param_name' => 'slider_image',
                    'description' => 'Select image from library.',
                ) ,

            ) ,
        ) ,

        array(
            'heading' => esc_html__('Add List', 'consultab') ,
            'description' => esc_html__('Enter Your List Data.', 'consultab') ,
            'type' => 'param_group',
            'param_name' => 'video_slider',
            'dependency' => array(
                'element' => 'slider_type',
                'value' => array(
                    '2'
                ) ,
            ) ,
            'params' => array(

                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__('Video Image', 'consultab') ,
                    'param_name' => 'video_image',
                    'description' => 'Select image from library.',
                ) ,

                array(
                    'heading' => esc_html__('Youtube Video Key', 'consultab') ,
                    'type' => 'textfield',
                    'param_name' => 'youtube_url',
                ) ,

            ) ,
        ) ,

        array(
            "type" => "heading",
            "heading" => esc_html__('Number of Post :', 'consultab') ,
            "param_name" => "desk_number",
            'group' => esc_html__('Post Setting', 'consultab') ,
        ) ,
        array(
            "type" => "textfield",
            "heading" => esc_html__('Desktop view', 'consultab') ,
            "param_name" => "desk_number",
            'edit_field_class' => 'vc_col-xs-3',
            'group' => esc_html__('Post Setting', 'consultab') ,
            "description" => esc_html__('Enter Number of post to Show.', 'consultab')
        ) ,
        array(
            "type" => "textfield",
            "heading" => esc_html__('Laptop view', 'consultab') ,
            "param_name" => "lap_number",
            'edit_field_class' => 'vc_col-xs-3',
            'group' => esc_html__('Post Setting', 'consultab') ,
            "description" => esc_html__('Enter Number of post to Show.', 'consultab')
        ) ,
        array(
            "type" => "textfield",
            "heading" => esc_html__('Tablet view', 'consultab') ,
            "param_name" => "tab_number",
            'edit_field_class' => 'vc_col-xs-3',
            'group' => esc_html__('Post Setting', 'consultab') ,
            "description" => esc_html__('Enter Number of post to Show.', 'consultab')
        ) ,
        array(
            "type" => "textfield",
            "heading" => esc_html__('Mobile view', 'consultab') ,
            "param_name" => "mob_number",
            'edit_field_class' => 'vc_col-xs-3',
            'group' => esc_html__('Post Setting', 'consultab') ,
            "description" => esc_html__('Enter Number of post to Show.', 'consultab')
        ) ,
       

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Arrow", 'consultab') ,
            "param_name" => "arrow",
            'group' => esc_html__('Post Setting', 'consultab') ,
            "value" => array(
                "True" => 'true',
                "False" => 'false',
            ) ,
        ) ,
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Dots", 'consultab') ,
            "param_name" => "dots",
            'group' => esc_html__('Post Setting', 'consultab') ,
            "value" => array(
                "False" => 'false',
                "True" => 'true',
            ) ,
        ) ,

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Autoplay", 'consultab') ,
            'group' => esc_html__('Post Setting', 'consultab') ,
            "param_name" => "auto",
            "value" => array(
                "True" => 'true',
                "False" => 'false',
            ) ,
            'dependency' => array(
                'element' => 'style_type',
                'value' => '2',
            ) ,
        ) ,

        array(
            "type" => "dropdown",
            "heading" => esc_html__("Loop", 'consultab') ,
            "param_name" => "loop",
            'group' => esc_html__('Post Setting', 'consultab') ,
            "value" => array(
                "True" => 'true',
                "False" => 'false',
            ) ,
        ) ,

       

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Extra class name', 'consultab') ,
            'param_name' => 'extra_class',
            'description' => esc_html__('If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'consultab') ,
            'group' => esc_html__('Extra class', 'consultab') ,
        ) ,

        array(
            'type' => 'css_editor',
            'heading' => __('Css', 'consultab') ,
            'param_name' => 'css',
            'group' => __('Design options', 'consultab') ,
        ) ,
    )
));
