<?php
// Tabs
vc_map(
	array(
		"name" 			=> esc_html__('Tab','consultab'),
		"base" 			=> 'consultabtabs',
		"description" 	=> esc_html__( 'Consultab Tab','consultab'),
		"category" 		=> esc_html__( 'Consultab Shortcodes','consultab' ),
		"icon" 			=> "icon-consultabbanner",
		"params" => array(
		
		array(
			'heading'		=> esc_html__( 'Add Tab', 'consultab' ),
			'description'	=> esc_html__( 'Add Tab', 'consultab' ),
			'type'			=> 'param_group',
			'param_name'	=> 'tabs',
			'params' => array(
				
				array(
					"heading" 		=> esc_html__( "Tab Title",'consultab' ),
					"description" 	=> esc_html__( "Enter the tab title",'consultab'),
					"type" 			=> "textfield",
					'admin_label' => true,
					"param_name" 	=> "tab_title",
				),
			
				array(
					"heading" 		=> esc_html__( "Title",'consultab' ),
					"description" 	=> esc_html__( "Enter the title",'consultab'),
					"type" 			=> "textfield",
					"param_name" 	=> "consultab_title",
				),
					
				array(
					"heading" 		=> esc_html__( "Sub Heading",'consultab' ),
					"description" 	=> esc_html__( "Enter the sub Heading",'consultab'),
					"type" 			=> "textfield",
					"param_name" 	=> "consultab_subtitle",
					'dependency' => array(
						'element' => 'style_type',
						'value' => '0',
					),
				),

				array(
                    'heading'		=> esc_html__( 'Tab Content', 'consultab' ),
                    'type'			=> 'textarea',
                    'param_name'	=> 'tab_contant',
                    'value'         => '',
				),
				
				array(
					"heading" 		=> esc_html__( "Video Show",'consultab' ),
					"description" 	=> wp_kses( __( "Select Video.",'consultab'), array( 'br' => array() ) ),
					"type" 			=> "dropdown",
					"param_name" 	=> "video_show",
					"value" 		=> array(
											"No" => '1',
											"Yes" => '2',
					),
				),

				array(
					'heading'		=> esc_html__( 'Youtube Video Key','consultab' ),
					'type'			=> 'textfield',
					'param_name'	=> 'video_yt_key',
					"description" 	=> esc_html__('Only put youtube video full URL.','consultab' ),
					'dependency' => array(
						'element' => 'video_show',
						'value'   => '2',
					),
				),
				
			    array(
                    'type'        => 'attach_image',
                    'heading'     => esc_html__( 'Tab Image', 'consultab' ),
                    'param_name'  => 'tab_image',
                    'description' => esc_html__('Select image from library.','consultab' ),
                    'dependency' => array(
                        'element' => 'image_show',
                        'value'   => '2',
                    ),
                       
                ),
			
			),
		
		),

		array(
			'type'        => 'textfield',
			'heading'     => esc_html__( 'Extra class name','consultab' ),
			'param_name'  => 'extra_class',
			'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.','consultab' ),
			'group' => esc_html__( 'Extra class', 'consultab' ),
		),

		array(
			'type' => 'css_editor',
			'heading' => __( 'Css', 'consultab' ),
			'param_name' => 'css',
			'group' => __( 'Design options', 'consultab' ),
		),

	),
	)
);		
