<?php 
vc_map(array(
    "name"           => esc_html__("Tabs" , "consultab"),
    "base"           => "iq_tab",
    "as_parent"      => array("only" => "iq_inner_item"),
    "category"       => esc_html__( "Consultab Shortcodes","consultab" ),
    "js_view"        => "VcColumnView",
    "content_element"         => true,
    "show_settings_on_create" => true,
    "icon"          => "icon-wpb-consultabtab",
    "params" => array(

        
        array(
            "heading" 		=> esc_html__( "Title Element Tags","consultab" ),
            "description" 	=> esc_html__( "Select Element Tags of the title text.","consultab"),
            "type" 			=> "dropdown",
            "param_name" 	=> "tag",
            "edit_field_class" => "vc_col-xs-6",
            "value" => array(
                            "1" => "h2",
                            "2" => "h3",
                            "3" => "h4",
                            "4" => "h5",
                            "5" => "h6",
                        ),
        ),

        array(
            "heading"       => esc_html__( "Element Position","consultab" ),
            "description"   => esc_html__( "Position of the title text.","consultab"),
            "type"          => "dropdown",
            "edit_field_class" => "vc_col-xs-6",
            "param_name"    => "position",
            "value" => array(
                        "Left" =>  "left",
                        "Center" => "center",
                        "Right" => "right",
                    ),
        ),

        array(
            "type"        => "textfield",
            "heading"     => esc_html__( "Extra class name","consultab" ),
            "param_name"  => "extra_class",
            "group" => esc_html__( "Extra Class", "consultab" ),
            "description" => esc_html__( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.","consultab" )
        ),

        array(
            "type" => "css_editor",
            "heading" => esc_html__( "Css", "consultab" ),
            "param_name" => "css",
            "group" => esc_html__( "Design options", "consultab" ),
        ),

    )
));  

vc_map(array(
    "name" => __("consultab Tab", "consultab"),
    "base" => "iq_inner_item",
    "as_child" => array("only" => "iq_tab"),
    "as_parent"         => array(""),
    "allowed_container_element" => "vc_row",
    "js_view"                   => "VcColumnView",
    "icon" => "extended-custom-icon-wdo icon-wpb-advanced-tab",
    "params" => array_merge(
        array(
            
            array(
                "type" => "textfield",
                "holder" => "div",
                "admin_label" => true,
                "heading" => esc_html__("Tab Title", "consultab"),
                "param_name" => "tab_title",
                "description" => esc_html__("Enter the tab title.","consultab"),
            ),

            array(
                "heading"       => esc_html__( "Tab Image","consultab" ),
    
                "type"          => "dropdown",
                "param_name"    => "tab_img",
                "value"         => array(
                                        "Yes" => "0",
                                        "No" => "1",
                                   ),
            ),

            array(
                "type"        => "attach_image",
                "heading"     => esc_html__( "Image", "consultab" ),
                "param_name"  => "iq_image",
                "description" => "Select image/icon from library.",
                "group" => esc_html__( "Image", "consultab" ),
                "dependency"  => array(
                            "element"  => "tab_img",
                            "value" => "0" ,
                            ),
            ),

        )
    )
));


if (class_exists("WPBakeryShortCodesContainer")) {
    class WPBakeryShortCode_iq_tab extends WPBakeryShortCodesContainer {
    }
}
if (class_exists("WPBakeryShortCodesContainer")) {
    class WPBakeryShortCode_iq_inner_item extends WPBakeryShortCodesContainer {
    }
}
