<?php
// Team
vc_map( array(
        'name' 			=> esc_html__('Team','consultab'),
        'base' 			=> 'consultabteam',
		  	'description' 	=> esc_html__( 'Consultab Team Members', 'consultab'),
        'category' 		=> esc_html__( 'Consultab Shortcodes', 'consultab' ),
        'icon' 			=> "consultab_team",
				'params' => array(


					array(
						"heading" 		=> esc_html__( "Alignment",'consultab' ),
						"description" 	=> wp_kses( __( "Select Alignment of the title text.",'consultab'), array( 'br' => array() ) ),
						"type" 			=> "dropdown",
						"param_name" 	=> "position",
						"value" => array(
										"Left" =>  'left',
										"Center" => 'center',
										"Right" => 'right',
									),
					),

					array(
						"heading" 		=> esc_html__( "Element Tag",'consultab' ),
						"description" 	=> wp_kses( __( "Select Element Tag of the title text.",'consultab'), array( 'br' => array() ) ),
						"type" 			=> "dropdown",
						"param_name" 	=> "tag",
						'edit_field_class' => 'vc_col-xs-6',
						"value" => array(
										"1" => 'h2',
										"2" => 'h3',
										"3" => 'h4',
										"4" => 'h5',
										"5" => 'h6',
									),
					),

					array(
						"type" 			=> "heading",
						"heading" 		=> esc_html__('Number of Post :', 'consultab' ),
						"param_name" 	=> "desk_number",
						'group' => esc_html__( 'Post Setting', 'consultab' ),
					),
					array(
						"type" 			=> "textfield",
						"heading" 		=> esc_html__('Desktop view', 'consultab' ),
						"param_name" 	=> "desk_number",
						'edit_field_class' => 'vc_col-xs-3',
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
					),
					array(
						"type" 			=> "textfield",
						"heading" 		=> esc_html__('Laptop view', 'consultab' ),
						"param_name" 	=> "lap_number",
						'edit_field_class' => 'vc_col-xs-3',
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
					),
					array(
						"type" 			=> "textfield",
						"heading" 		=> esc_html__('Tablet view', 'consultab' ),
						"param_name" 	=> "tab_number",
						'edit_field_class' => 'vc_col-xs-3',
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
					),
					array(
						"type" 			=> "textfield",
						"heading" 		=> esc_html__('Mobile view', 'consultab' ),
						"param_name" 	=> "mob_number",
						'edit_field_class' => 'vc_col-xs-3',
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"description" 	=> esc_html__('Enter Number of post to Show.', 'consultab' )
					),	
					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__("Order By", 'consultab'),
						"param_name" 	=> "sortby",
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						'value' 			=> array_flip( array('date' => esc_html__('Date', 'consultab'),'title' => esc_html__('Title', 'consultab') ,'name' => esc_html__('Name', 'consultab') ,'author' => esc_html__('Author', 'consultab'),'comment_count' => esc_html__('Comment Count', 'consultab'),'random' => esc_html__('Random', 'consultab') ) ),			
						"description" 	=> esc_html__("Enter the sorting order.", 'consultab'),
					),	

					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Arrow", 'consultab' ),
						"param_name" 	=> "arrow",
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"value" 		=> array(
											"True"    => 'true',
											"False"   => 'false',
										),
					),

					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Dots", 'consultab' ),
						"param_name" 	=> "dots",
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"value" 		=> array(
										"False"   => 'false',
										"True"    => 'true',
						),
					),

					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Autoplay", 'consultab' ),
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"param_name" 	=> "auto",				
						"value" 		=> array(
									"True"    => 'true',
									"False"   => 'false',
						 ),
						 'dependency' => array(
							'element' => 'style_type',
							'value' => '2',
						),
					),
						
					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__( "Loop", 'consultab' ),
						"param_name" 	=> "loop",
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						"value" 		=> array(
											"True"    => 'true',
											"False"   => 'false',
										),
						),

					array(
						"type" 			=> "dropdown",
						"heading" 		=> esc_html__("Order", 'consultab'),
						"param_name" 	=> "order",
						'group' => esc_html__( 'Post Setting', 'consultab' ),
						'value' 			=> array_flip(array('DESC' => esc_html__('Descending', 'consultab'),'ASC' => esc_html__('Ascending', 'consultab') ) ),			
					),

					array(
						'type' => 'css_editor',
						'heading' => esc_html__( 'Css', 'consultab' ),
						'param_name' => 'css',
						'group' => esc_html__( 'Design options', 'consultab' ),
					),
					
			)        
    ) 
);
