<?php
/**
* Displays header widgets if assigned
*
* @package WordPress
* @subpackage consultab
* @since 1.0
* @version 1.0
*/
$consultab_option = get_option('consultab_options');
?>
<header class="style-one" id="main-header">
      <?php
      if(isset($consultab_option['email_and_button']))
      {
        $options = $consultab_option['email_and_button'];
        if($options == "yes")
        {
        ?>
        <div class="container-fluid sub-header">
          <div class="row">
            <div class="col-auto mr-auto">
              <?php
              if(!empty($consultab_option['header_display_contact']))
              {
                $options = $consultab_option['header_display_contact'];
                if($options == "yes")
                {
              ?>
                  <div class="number-info">
                    <ul class="list-inline">
                        <?php
                        if(!empty($consultab_option['header_phone']))
                        {
                        ?>
                        <li class="list-inline-item"><a href="tel:<?php echo str_replace(str_split('(),-" '), '',$consultab_option['header_phone']); ?>">
                        <i class="fa fa-phone"></i><?php echo esc_attr($consultab_option['header_phone']); ?></a></li>
                        <?php } ?>
                        <?php
                        if(!empty($consultab_option['header_email']))
                        {
                        ?>
                        <li class="list-inline-item"><a href="mailto:<?php echo esc_html($consultab_option['header_email']); ?>">
                        <i class="fa fa-envelope"></i><?php echo esc_attr($consultab_option['header_email']); ?></a></li>
                        <?php } ?>
                    </ul>
                  </div>

              <?php
                }
              }
              ?>
            </div>
            <div class="col-auto col-auto ml-auto sub-main pr-0">
              <?php
              $consultab_option = get_option('consultab_options');
              if(isset($consultab_option['consultab_header_social_media']))
              {
                $options = $consultab_option['consultab_header_social_media'];
                if($options == "yes"){ ?>
                  <div class="social-icone">
                    <?php $data = $consultab_option['header-social-media-iq']; ?>
                    <ul class="list-inline">
                      <?php
                      foreach ($data as $key=>$options )
                      {
                        if($options) {
                          echo '<li class="d-inline"><a href="'.$options.'"><i class="fa fa-'.$key.'"></i></a></li>';
                        }
                      } ?>
                    </ul>
                  </div>
              <?php
                }
              }
              ?>
            </div>
            <div class="sub-main">
                <?php
                if(isset($consultab_option['header_display_button']))
                {
                $options = $consultab_option['header_display_button'];
                if($options == "yes")
                {
                ?>
                  <nav aria-label="breadcrumb">
                    <?php if((!empty($consultab_option['consultab_download_link'])) && (!empty($consultab_option['consultab_download_title'])))
                    {
                        $dlink = $consultab_option['consultab_download_link'];
                        $dtitle = $consultab_option['consultab_download_title'];
                    ?>
                    <div class="request-btn"><a href="<?php echo esc_url($dlink,'consultab'); ?>"><?php echo esc_attr($dtitle,'consultab'); ?></a></div>
                    <?php } ?>
                  </nav>
                  <?php
                  }
                }
                ?>
              </div>
          </div>
        </div>
        <?php
        }
      }
      ?>
      <div class="container-fluid main-header">
        <div class="row">
          <div class="col-sm-12">
            <nav class="navbar navbar-expand-lg navbar-light">
            <?php
            if($consultab_option['header_radio'] == 1)
            {
            ?>
             <a href="<?php  echo esc_url( home_url( '/' ) ); ?>">
             <?php
              if(!empty($consultab_option['header_text']))
              {
              ?>
              <h1 class="logo-text"><?php echo esc_attr($consultab_option['header_text']); ?></h1>
              <?php
              }
              ?>
             </a>
            <?php
            }
            else
            {
            ?>
               <a class="navbar-brand" href="<?php  echo esc_url( home_url( '/' ) ); ?>">
                <?php
                if(isset($consultab_option['consultab_logo']['url']))
                {
                  $logo = $consultab_option['consultab_logo']['url'];
                ?>
                  <img class="img-fluid logo" src="<?php echo esc_url($logo); ?>" alt="<?php  esc_attr_e( 'consultab', 'consultab' ); ?>">
                <?php
                }
                else
                {
                ?>
                  <img class="img-fluid logo" src="<?php echo get_template_directory_uri(); ?>/assets/images/logo.png" alt="<?php  esc_attr_e( 'consultab', 'consultab' ); ?>">
                <?php } ?>
              </a>
            <?php
            }
            ?>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"><i class="ion-navicon"></i></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <?php if ( has_nav_menu( 'top' ) ) : ?>
											<?php wp_nav_menu( array(
												'theme_location' => 'top',
                        'menu_class'     => 'navbar-nav ml-auto',
                        'menu_id'        => 'top-menu',
                        'container_id'   => 'iq-menu-container',
											) ); ?>
                <?php endif; ?>
              </div>
		<ul class="shop_list">
		<?php
		if(isset($consultab_option['header_display_search']))
		{
			$options = $consultab_option['header_display_search'];
			if($options == "yes")
			{
			?>
			<li>
			<div class="search-box">
			<?php get_search_form(); ?>
			</div>
			</li>
			<?php
			}
		}
		?>
		<?php if ( class_exists( 'WooCommerce' ) )
		{	?>
		<li>
			<div class="cart_count">
		<a class="cartbox_open" href="javascript:void(0);"><i class="remixicon-shopping-bag-line"></i>
		<span id="total-cart-count"></span></a>
		</div>
		</li>
		<?php
		}
		?>
		</ul>
            </nav>
          </div>
        </div>
      </div>
</header>