<?php
/**
* Displays header widgets if assigned
*
* @package WordPress
* @subpackage consultab
* @since 1.0
* @version 1.0
*/
$consultab_options = get_option('consultab_options');
$consultab_option = get_option('consultab_options');
?>
<header class="header-three">
  <div class="container-fluid sub-header">
    <div class="row">
      <div class="mr-auto col-lg-3 col-md-12 text-center text-lg-left">
        <div class="logo-img">
          
            <?php
            if($consultab_option['header_radio'] == 1)
            { 
            ?>
              <a href="<?php  echo esc_url( home_url( '/' ) ); ?>">
              <?php
              if(!empty($consultab_option['header_text']))
              {
              ?>
              <h1 class="logo-text"><?php echo esc_attr($consultab_option['header_text']); ?></h1>
              <?php
              }
              ?>
              </a>
            <?php
            }
            else 
            {
            ?>
                <a class="navbar-brand" href="<?php  echo esc_url( home_url( '/' ) ); ?>">
              <?php
                if(function_exists('get_field') && class_exists('ReduxFramework'))
                {
                  $key = get_field('key_header');
                  
                  if(!empty($key['header_logo']['url']))
                  {
                    $logo = $key['header_logo']['url'];
                  }
                  else if(isset($consultab_option['consultab_logo']['url']))
                  {
                    $logo = $consultab_option['consultab_logo']['url'];
                  }
                  ?>
                  <img class="img-fluid logo" src="<?php echo esc_url($logo); ?>" alt="<?php  esc_attr_e( 'consultab', 'consultab' ); ?>">
                  <?php 
                }
                else
                {
                ?>
                  <img class="img-fluid logo" src="<?php echo get_template_directory_uri(); ?>/assets/images/logo.png" alt="<?php  esc_attr_e( 'consultab', 'consultab' ); ?>">
                <?php } ?>
              </a>
            <?php
            }
            ?>
        </div>
      </div>
      <div class="col-lg-9 col-md-12 text-lg-right text-center"> <?php

        if(!empty($consultab_option['header_phone'])) { ?>
          <div class="sub-header-three">
            <div class="media">
              <div class="sub-icon mr-3"><i aria-hidden="true" class="flaticon flaticon-phone-call "></i></div>
              <div class="media-body">
                <p class="mt-0"><?php echo esc_attr($consultab_options['header_phone']); ?></p> <?php
                if(!empty($consultab_options['header_phone_title'])) { ?> 
                    <span><?php echo esc_attr($consultab_options['header_phone_title']); ?></span> <?php
                } ?>    
              </div>
            </div>
          </div> <?php 
        } ?>

        <?php
        if(!empty($consultab_option['header_email']))
        {
        ?>
        <div class="sub-header-three">
          <div class="media">
            <div class="sub-icon mr-3"><i aria-hidden="true" class="flaticon flaticon-message "></i></div>
            <div class="media-body">
              <p class="mt-0"><?php echo esc_attr($consultab_options['header_email']); ?></p> <?php
              if(!empty($consultab_option['header_email_title'])) { ?>
                  <span><?php echo esc_attr($consultab_option['header_email_title']); ?></span> <?php
              } ?>
            </div>
          </div>
        </div>
        <?php } ?>
        <?php
        if(!empty($consultab_option['header_address']))
        {
        ?>
        <div class="sub-header-three">
          <div class="media">
            <div class="sub-icon mr-3"><i aria-hidden="true" class="flaticon flaticon-placeholder "></i></div>
            <div class="media-body address-detail">
              <p class="mt-0"><?php echo esc_attr($consultab_options['header_address']); ?></p>
            </div>
          </div>
        </div>
        <?php } ?>
      </div>
    </div>
  </div>
  <div class="container-fluid main-header">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar navbar-expand-lg navbar-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <?php if ( has_nav_menu( 'top' ) ) : ?>
                  <?php wp_nav_menu( array(
                    'theme_location' => 'top',
                    'menu_class'     => 'navbar-nav ml-auto',
                    'menu_id'        => 'top-menu',
                    'container_id'   => 'iq-menu-container',
                  ) ); ?>
            <?php endif; ?>
          </div>
          <div class="sub-main">
                <?php
                if(isset($consultab_option['header_display_button']))
                {
                $options = $consultab_option['header_display_button'];
                if($options == "yes")
                {
                ?>
                  <nav aria-label="breadcrumb">
                    <?php if((!empty($consultab_option['consultab_download_link'])) && (!empty($consultab_option['consultab_download_title'])))
                    {
                        $dlink = $consultab_option['consultab_download_link'];
                        $dtitle = $consultab_option['consultab_download_title'];
                    ?>
                    <div class="request-btn"><a class="button" href="<?php echo esc_url($dlink,'consultab'); ?>"><?php echo esc_attr($dtitle,'consultab'); ?></a></div>
                    <?php } ?>
                  </nav>
                  <?php
                  }
                }
                ?>
          </div>
          <div class="col-auto">
            <ul class="shop_list">
                <?php
                if(isset($consultab_option['header_display_search']))
                {
                  $options = $consultab_option['header_display_search'];
                  if($options == "yes")
                  {
                ?>
                <li>
                  <div class="search-box">
                    <?php get_search_form(); ?>
                  </div>
                </li>
                <?php
                  }
                }
                ?>
                <?php if ( class_exists( 'WooCommerce' ) )
                {	
                ?>
                <li>
                  <div class="cart_count">
                    <a class="cartbox_open" href="javascript:void(0);"><i class="remixicon-shopping-bag-line"></i>
                    <span id="total-cart-count"></span></a>
                  </div>
                </li>
                <?php
                }
                ?>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>
</header>